//VSS路径 $/051.HR产品部（2014）/01.s-HR业务规划/05.业务专项/30.2016年度产品规划/07 sHR&EAS老客户升级V3方案/s-HR_3.0sHR&EASHR老客户升级EASv8.2概要任务清单.xlsx
var refreshCount = 0;
shr.defineClass("shr.shrmvdt.DataEscalateProjectList", shr.framework.Edit, {
	self : this,
	_alreadyConfig: false, //标识是否已经配置源数据库
	_DataBaseConfig:null,  //当前源数据库配置
	initalizeDOM : function() {
		shr.shrmvdt.DataEscalateProjectList.superClass.initalizeDOM.call(this);
		var self = this;
		
		$(".active").text("s-HR数据升级");
		
		$(".field-desc").css("width","13.3%");//保存按钮位置
		
		self.initButton();//初始化按钮样式
		self.dataCheckAndConfirmInitAction();
		self.initMoveDataView();//初始化数据迁移菜单
		self.initalDataConfig(); // 初始化数据源配置区域内容
		self.readErrorReportAction();//错误日志
		self.refreshProgressBarAction();//刷新一次进度条，初始化进度条状态
		self.importExcel();
		self.checkDep(); // 检查Dep
		self.executePatchSql();
		self.getCurrentMovingTables();
		self.patchViewer();
		self.activeAccount();//上传文件并激活账号
	},
	/**
	 * 源数据库连接配置
	 */
	saveDataBaseAction:function(){
		var self = this;
		
		// 检查配置是否合法
		if(!self.checkConfig()){
			return;
		}; 
		
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"saveDataBase",
			param:{
				"DBtype" : $("#DBtype").val().trim(),
				"Port" : $("#Port").val().trim(),
				"IP" : $("#IP").val().trim(),
				"UserName" : $("#UserName").val().trim(),
				"PassWord" : $("#PassWord").val().trim(),
				"Instance" : $("#Instance").val().trim(),
				"alreadyConfig" : self._alreadyConfig, 
				"id" :self._DataBaseConfig==null?'':self._DataBaseConfig.id
			},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"checkIfShrDB",
						type:"POST",
						success:function(res){
							var ifShrDB = res.ifShrDB;
							if(ifShrDB==true){
								shr.showInfo({message : "数据库连接正常，已保存！"});
								window.location.reload();
							}else{
								shr.showError({message : "连接的数据库不是s-HR帐套或没有数据，请检查。"});
							}
						}
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	
	DataBaseConfigEditAction:function(){
		var self = this;
		// 创建源数据库配置界面
		this.creatView();
		$('#dialog_dbconfig').dialog({
			title : '源数据库连接配置',
			width : 700,
			height : 300,
			resizable : false,
			buttons : {
				'保存' : function () {
					// 保存数据库配置
					self.saveDataBaseAction();
				},
				'取消' : function () {
					$(this).dialog('close');
				},
				'测试连接' : function () {
					// 检查配置是否合法
					if(self.checkConfig()){
						self.testConnection(true); 	// 测试数据库配置
					}; 
				}
			}
		});
	},
	DataBaseConnectTestAction: function(){
		var self = this;
		// 判断是否配置了源数据库
		if(!(self._alreadyConfig)){
			shr.showError({message: "检查到您未进行源数据库的配置,因此不能进行连接测试！",hideAfter: 3});
			return;
		}
		// 测试数据库配置
		self.testConnection(false);
	},
	
	checkConfig :function(){
		var self = this;
		if($("#DBtype").val().trim() == ""){
			self.showResultInDialog("数据库类型不能为空");
			return false;
		}else if($("#IP").val().trim() == ""){
			self.showResultInDialog("IP不能为空");
			return false;
		}else if($("#Port").val().trim() == ""){
			self.showResultInDialog("端口不能为空");
			return false;
		}
		return true;
	},
	// 在源数据库配置弹框中显示反馈结果信息
	showResultInDialog: function(result){
		var self = this;
		var buttonpane = $('#dialog_dbconfig').parent().find(".ui-dialog-buttonpane");
		if(buttonpane.find(".showResult").length == 0){
			buttonpane.append('<div class="showResult" style="margin-top: 12px;color: red;">'+result+'</div>');
		}else{
			buttonpane.find(".showResult").remove();
			buttonpane.append('<div class="showResult" style="margin-top: 12px;color: red;">'+result+'</div>');
		}
	},
	
	testConnection : function(showIndialog){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"testConnection",
			param:{ // 如果已经配置，则直接取页面缓存中_DataBaseConfig的内容，反之从页面控件中读取
				"DBtype" : !showIndialog?self._DataBaseConfig.type.value:$("#DBtype").val().trim(),
				"Port" : !showIndialog?self._DataBaseConfig.port:$("#Port").val().trim(),
				"IP" : !showIndialog?self._DataBaseConfig.ip:$("#IP").val().trim(),
				"UserName" : !showIndialog?self._DataBaseConfig.username:$("#UserName").val().trim(),
				"PassWord" : !showIndialog?self._DataBaseConfig.password:$("#PassWord").val().trim(),
				"Instance" : !showIndialog?self._DataBaseConfig.instance:$("#Instance").val().trim()
			},
			type:"POST",
			success:function(res){
				if(showIndialog){
					self.showResultInDialog(res);
				}else{
					shr.showInfo({message: res,hideAfter: 3});
				}
			},
			error:function(res){
				if(showIndialog){			
					self.showResultInDialog(res);
				}else{
					shr.showError({message: res,hideAfter: 3});
				}
			}
		});
	},
	
	getDataBaseConfig:function(){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"getDataBaseConfig",
			type:"POST",
			async : false,
			success:function(res){
				if(res.config != null){
					self._alreadyConfig = true;
					self._DataBaseConfig = res.config;
				}else{
					self._alreadyConfig = false;
					self._DataBaseConfig = null;
				}
			}
		});
	},
	
	// 初始化源数据库配置区域内容
	initalDataConfig:function(){
		var self = this;
		self.getDataBaseConfig(); // 获取源数据库配置
		$("#DataName").empty();
		if(self._alreadyConfig){ // 已配置
			$("#DataName").append('<div class="showResult" style="padding-left: 40px;color: #0088cc;">' + self._DataBaseConfig.instance + '</div>');
		}else{
			$("#DataName").append('<div class="showResult" style="padding-left: 40px;color: #0088cc;">' + '未配置' + '</div>');
		}
	},
	
	// 创建源数据库配置界面
	creatView:function(){
		var self = this;
		$(".param_dbconfig").empty();
		$('#dialog_dbconfig').parent().find(".ui-dialog-buttonpane").find(".showResult").remove();

		var xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + 'IP地址' + '">' + 'IP地址' + '</div></div><div class="span3 field-ctrl"><input id="' + 'IP' + '" name="' + 'IP' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '数据库类型' + '">' + '数据库类型' + '</div></div><div class="span3 field-ctrl"><input id="' + 'DBtype' + '" name="' + 'DBtype' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		
		xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '数据库名' + '">' + '数据库名' + '</div></div><div class="span3 field-ctrl"><input id="' + 'Instance' + '" name="' + 'Instance' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '端口' + '">' + '端口' + '</div></div><div class="span3 field-ctrl"><input id="' + 'Port' + '" name="' + 'Port' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '密码' + '">' + '密码' + '</div></div><div class="span3 field-ctrl"><input type="PassWord" id="' + 'PassWord' + '" name="' + 'data[i].name' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '用户名' + '">' + '用户名' + '</div></div><div class="span3 field-ctrl"><input id="' + 'UserName' + '" name="' + 'UserName' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		/*
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + 'data[i].ins' + '">' + '版本' + '</div></div><div class="span3 field-ctrl" ><input id="' + 'data[i].name' + '" name="' + 'data[i].name' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>');
		*/
		// 数据库类型 控件设置为下拉框
		var select_json = {
			id : "DBtype"
		};
		var business =[];
		business [0] = {
				value : 'Oracle',
				alias : 'Oracle'
		}
		business [1] = {
				value : 'SQLServer',
				alias : 'SQLServer'
		}
		
		select_json.data = business;
		select_json.validate = "{required:true}";
		$("input[id^='DBtype']").shrSelect(select_json);
		
		// 判断是否已经配置了源数据库
		if(self._alreadyConfig){
			// 已配置  
			$('#DBtype').shrSelect("setValue", self._DataBaseConfig.type.value);
			$("#Port").attr('value',self._DataBaseConfig.port);
			$("#IP").attr('value',self._DataBaseConfig.ip);
			$("#UserName").attr('value',self._DataBaseConfig.username);
			$("#PassWord").attr('value',self._DataBaseConfig.password);
			$("#Instance").attr('value',self._DataBaseConfig.instance);
		}
	},
	/**
	 * 初始化按钮样式
	 */
	initButton:function(){
		var it = this;
		$("#DataBaseConfigEdit").attr("class","shrbtn-primary shrbtn");//配置
		$("#saveDataBase").attr("class","shrbtn-primary shrbtn");//保存
		$("#intelligenceCheck").attr("class","shrbtn-primary shrbtn");//智能检查
		$("#startMove").attr("class","shrbtn-primary shrbtn");//开始迁移
		$("#inMove").hide();
		$("[name='explainText']").hide();
		shr.callHandler({//如果进入页面是迁移中，则自动打开刷新进度条的计时器
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfHasFinished",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.errorResult;
				if(result=="迁移中"){
					it.setTimeoutAction();
				}
			}
		});
//		shr.callHandler({//检查是否有ID重复的问题
//			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
//			action:"checkIdRepeat",
//			param:"",
//			type:"POST",
//			success:function(res){
//				var result = res.resultInfo;
//				if(result==false){
//					$("#intelligenceCheckResult").show();
//				}else{
//					$("#intelligenceCheckResult").hide();
//				}
//			}
//		});
		$("#intelligenceCheckResult").hide();
		shr.callHandler({//初始化标识
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"initButtonAndApply",
			param:"",
			type:"POST",
			success:function(res){
				var isActiveAccount = res.isActiveAccount;
				if(isActiveAccount==true){
					$("#activeAccountApply").show();
				}
			}
		});
	},
	/**
	 * 将所有按钮置灰不可用
	 */
	disabledButton:function(){
		$("#DataBaseConfigEdit").attr("disabled","disabled");
		$("#DataBaseConfigEdit").css("background-color","#ccc");
		$("#intelligenceCheck").attr("disabled","disabled");
		$("#intelligenceCheck").css("background-color","#ccc");
	},
	/**
	 * 错误日志 查看（按钮功能初始化）
	 */
	readErrorReportAction : function(){
		var it = this;
		$("#errorReport_expandTable").click(function(){
			it.readErrorReportWindow("EXPANDTABLE","扩展表错误日志","errorReport_expandTable");
		});
		$("#errorReport_admin").click(function(){
			it.readErrorReportWindow("ADMIN","组织错误日志","errorReport_admin");
		});
		$("#errorReport_job").click(function(){
			it.readErrorReportWindow("JOB","职务错误日志","errorReport_job");
		});
		$("#errorReport_position").click(function(){
			it.readErrorReportWindow("POSITION","职位错误日志","errorReport_position");
		});
		$("#errorReport_person").click(function(){
			it.readErrorReportWindow("PERSON","员工错误日志","errorReport_person");
		});
		$("#errorReport_user").click(function(){
			it.readErrorReportWindow("USER","用户错误日志","errorReport_user");
		});
		$("#errorReport_platform").click(function(){
			it.readErrorReportWindow("BASE","平台数据错误日志","errorReport_platform");
		});
		$("#errorReport_business").click(function(){
			it.readErrorReportWindow("BDATA","业务数据错误日志","errorReport_business");
		});
		$("#errorReport_reportData").click(function(){
			it.readErrorReportWindow("REPORT","报表数据错误日志","errorReport_reportData");
		});
		$("#errorReport_flowData").click(function(){
			it.readErrorReportWindow("WF","工作流错误日志","errorReport_flowData");
		});
		$("#errorReport_warnProject").click(function(){
			it.readErrorReportWindow("WARN","预警方案错误日志","errorReport_warnProject");
		});
		$("#errorReport_codingRule").click(function(){
			it.readErrorReportWindow("CR","编码规则错误日志","errorReport_codingRule");
		});
		$("#errorReport_importTemp").click(function(){
			it.readErrorReportWindow("TEMPLATE","导入模板错误日志","errorReport_importTemp");
		});
		$("#errorReport_printTemp").click(function(){
			it.readErrorReportWindow("TP","套打模板错误日志","errorReport_printTemp");
		});
		$("#errorReport_param").click(function(){
			it.readErrorReportWindow("PARAM","参数错误日志","errorReport_param");
		});
		$("#errorReport_accessory").click(function(){
			it.readErrorReportWindow("ATTACHMENT","附件错误日志","errorReport_accessory");
		});
		//$("#errorReport_secondaryDevelopment").click(function(){
		//	it.readErrorReportWindow("","二次开发错误日志","errorReport_secondaryDevelopment");
		//});
	},
	/**
	 * 获取 数据迁移 基本信息
	 */
	 getDataMoveBaseInfo:function(){
		var thirdProgressData=[
			{"index":"1","name":"扩展表","id":"expandTable","bizType":"EXPANDTABLE"},
			{"index":"2","name":"组织","id":"admin","bizType":"ADMIN"},
			{"index":"3","name":"职务","id":"job","bizType":"JOB"},
			{"index":"4","name":"职位","id":"position","bizType":"POSITION"},
			{"index":"5","name":"员工","id":"person","bizType":"PERSON"},
			{"index":"6","name":"用户","id":"user","bizType":"USER"},
			{"index":"7","name":"平台数据（开发平台、系统设置等基础配置）","id":"platform","bizType":"BASE"},
			{"index":"8","name":"业务数据（人事、薪酬、假勤、绩效、招聘、培训等）","id":"business","bizType":"BDATA"},
			{"index":"9","name":"报表数据","id":"reportData","bizType":"REPORT"},
			{"index":"10","name":"工作流","id":"flowData","bizType":"WF"},
			{"index":"11","name":"预警方案","id":"warnProject","bizType":"WARN"},
			{"index":"12","name":"编码规则","id":"codingRule","bizType":"CR"},
			{"index":"13","name":"导入模板","id":"importTemp","bizType":"TEMPLATE"},
			{"index":"14","name":"套打模板","id":"printTemp","bizType":"TP"},
			{"index":"15","name":"参数","id":"param","bizType":"PARAM"},
			{"index":"16","name":"附件","id":"accessory","bizType":"ATTACHMENT"}//,
			//{"index":"17","name":"二次开发数据","id":"secondaryDevelopment","bizType":""}
		];
		return thirdProgressData;
	 },
	/**
	 * 错误日志 查看（窗口）
	 */
	readErrorReportWindow : function(bizType,title,errorReportId){
		var it = this, 
		html = [],
		$dialog = $("#readErrorReportWindow"), 
		$body = $(document.body);		
			if($dialog.size() == 0) {
				$dialog = $("<div id='readErrorReportWindow' style='overflow-x:hidden;margin-left:10px;margin-right:10px;'></div>").appendTo($body);
			}
				var buttons = [];
				html.push('<div class="photoState" style="margin-left:0px;">');
				html.push('<table width="100%">');
				var data = {
					bizType : bizType
				};
				shr.callHandler({
							handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
							action:"getErrorReportInfo",
							param:data,
							type:"POST",
							success:function(res){
								var errorResult = res.errorResult;
								for(var i = 0;i<errorResult.length;i++){
									var text = errorResult[i];
									html.push('<tr><td width="100%" style="color: #999999;">'+text+'</td></tr>');
								};
								html.push('</table></div>');
								showDialog("#readErrorReportWindow", title, html.join(""),buttons, 500, 400, "关闭");
							}
				});
	},
	/**
	 * 初始化第三步：数据迁移 菜单
	 */
	initMoveDataView:function(){
		var thirdProgressData = this.getDataMoveBaseInfo();
		
		for(var i = 0;i<thirdProgressData.length;i++){
			var index = thirdProgressData[i].index;
			var name = thirdProgressData[i].name;
			var id = thirdProgressData[i].id;
			var thirdTableId = "thirdTable"+id;
			var thirdTrId = "thirdTr"+id;
			var thirdTdId = "thirdTd"+id;
			var progressBarSide = "ProgressBarSide"+id;
			var progressBar = "ProgressBar"+id;
			var applyImageId = "applyImageId"+id;
			var deleteImageId = "deleteImageId"+id;
			var errorReportId = "errorReport_"+id;
			var widthId = "widthId"+id;
			
			$("#thirdTbody").append("<tr id = '"+thirdTrId+"'></tr>");
			$("#"+thirdTrId).append("<td style='width:320px;height:25px;'>"+index+"）"+name+"</td>");
			$("#"+thirdTrId).append("<td style='width:10px;height:25px;'> </td>");
			$("#"+thirdTrId).append("<td id = '"+thirdTdId+"' style='width:110px;'> </td>");
			$("#"+thirdTdId).append("<div id='"+progressBarSide+"' style='color:Silver;border-width:1px;border-style:Solid;width:110px;'></div>");
			$("#"+progressBarSide).append("<div id='"+progressBar+"' style='background-color:#428bca; height:15px; width:0%; text-align:center;color:white;'>0%</div>");
			$("#"+thirdTrId).append("<img src='/shr/addon/shrmvdt/web/image/apply.gif' style='display: none;'  id = '"+applyImageId+"' width='20px' height='20px' />");
			$("#"+thirdTrId).append("<img src='/shr/addon/shrmvdt/web/image/delete.gif' style='display: none;'  id = '"+deleteImageId+"' width='20px' height='20px' />");
			$("#"+thirdTrId).append("<td id = '"+widthId+"' style='width:20px;display: inline'></td>");
			$("#"+thirdTrId).append("<a id = '"+errorReportId+"' style='display: none;'>错误报告</a>");		
			

		}
		
		
	},
	/**
	 * 开始迁移
	 */
	startMoveAction:function(){
		var it = this;
		var ifConfirm = true;
		var errorInfo = "";
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"otherStartCheck",
						param:{},
						type:"POST",
						success:function(res){
							var errorResult = res.errorResult;
							if(errorResult==""){
								if($("#secondEscalateReadOneTdApply").css("display")=="none"){
									ifConfirm = false;
								}
								if($("#secondEscalateReadSecondApply").css("display")=="none"){
									ifConfirm = false;
								}	
								if(!ifConfirm){
									shr.showInfo({message : "数据检查及确认未完全通过,请先完成第二步的检查确认！"});
									return;
								}else{
									shr.showConfirm('友情提示：升级过程中不可操作业务；升级前建议处理完s-HR的所有流程；是否确定开始升级？', function(){
										$("#startMove").hide();
										$("#inMove").show();
										//数据迁移开始
										//it.refreshProgressBarAction();
										it.setTimeoutAction();//刷新进度条（计时器）
										it.startMoveByHandlerAction();//真正的后台迁移
									});
								}
							}else{
								shr.showInfo({message : errorResult});
								return;
							}
						}	
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	/**
	 * 先校验是否有ID重复的数据，刷s-HR数据库的ID（ID重复）
	 */
	intelligenceCheckResultAction:function(){
		var it = this; 
		html = [],
		$dialog = $("#reverseCheckoutDialog"), 
		$body = $(document.body);		
			if($dialog.size() == 0) {
				$dialog = $("<div id='reverseCheckoutDialog' style='overflow-x:hidden;margin-left:10px;margin-right:10px;'></div>").appendTo($body);
			}
				html.push('<div class="photoState" style="margin-left:1px;">');
				html.push('<table width="100%">');
				html.push('<tr>');
				html.push('<td width="100%" style="color: #999999;">以下为s-HR未映射到EAS中的数据，但是s-HR的ID已经在EAS中存在，无法直接升级，请点击刷新s-HR数据ID，系统将会重新生成s-HR这些数据的ID，刷新后再继续升级。</td>');
				html.push('</tr>');
				html.push('<tr>');
				html.push('<td width="100%" style="color: #FF0000;">（执行前请备份s-HR的数据中心）</td>');
				html.push('</tr>');
				html.push('</table></div>');
				//html.push('</br>');
				//html.push('<button type="button" class = "shrbtn-primary shrbtn" id = "exportCheckInfo">导出检查结果</button>');
				html.push('<hr style="width:660px;height:1px;border:none;border-top:1px solid #999999;"/>');	
				html.push('<div id="orgAdminDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">组织ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="orgAdminCheck" style="width:660px;height:100px;" rows="2" name="orgAdminCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="positionDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">岗位ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="positionCheck" style="width:660px;height:100px;" rows="2" name="positionCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="personDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">人员ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="personCheck" style="width:660px;height:100px;" rows="2" name="personCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="jobDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">职务ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="jobCheck" style="width:660px;height:100px;" rows="2" name="jobCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="userDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">用户ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="userCheck" style="width:660px;height:100px;" rows="2" name="userCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="layerDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">组织层级ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="layerCheck" style="width:660px;height:100px;" rows="2" name="layerCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				var buttons = [];
				buttons.push({
					text : "刷新s-HR数据ID",
					id : "refreshShrId",
					click : function(){
					shr.showConfirm('将会刷新s-HR重复的ID数据，并且重新进行智能检查，是否继续？', function(){
						shr.showInfo({message : "正在刷新s-HR数据，请稍候...",hideAfter:600});
						shr.callHandler({
							handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
							action:"refreshShrRepeatId",
							param:"",
							type:"POST",
							success:function(res){
								if(res.resultInfo==true){
									it.intelligenceCheckDo();
								}else{
									shr.showError({message : "刷新s-HR ID失败！请联系系统管理员！"});
								}
							}
						});	
					});
					}
				});
				showDialog("#reverseCheckoutDialog", "智能检查结果", html.join(""),buttons, 708, 625, "关闭");
				shr.callHandler({
					handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
					action:"getIdRepeatInfo",
					param:{},
					type:"POST",
					success:function(res){			
						var i = 0;
						var adminOrgResult = res.adminOrgResult;
						var positionResult = res.positionResult;
						var personResult = res.personResult;
						var jobResult = res.jobResult;
						var userResult = res.userResult;
						var layerResult = res.layerResult;
							if(adminOrgResult==""){
								$("#orgAdminDiv").hide();
							}else{
								i++;
								$("#orgAdminCheck").val("");
								$("#orgAdminCheck").val(adminOrgResult);
							}
							if(positionResult==""){
								$("#positionDiv").hide();
							}else{
								i++;
								$("#positionCheck").val("");
								$("#positionCheck").val(positionResult);
							}
							if(personResult==""){
								$("#personDiv").hide();
							}else{
								i++;
								$("#personCheck").val("");
								$("#personCheck").val(personResult);
							}
							if(jobResult==""){
								$("#jobDiv").hide();
							}else{
								i++;
								$("#jobCheck").val("");
								$("#jobCheck").val(jobResult);
							}
							if(userResult==""){
								$("#userDiv").hide();
							}else{
								i++;
								$("#userCheck").val("");
								$("#userCheck").val(userResult);
							}
							if(layerResult==""){
								$("#layerDiv").hide();
							}else{
								i++;
								$("#layerCheck").val("");
								$("#layerCheck").val(layerResult);
							}
							var length = 330/i;
							$("#orgAdminCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#positionCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#orgAdminCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#jobCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#userCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#layerCheck").attr("style","width: 650px; height: "+length+"px;")
					}
				});	
	},
	/**
	 * 真正的后台迁移
	 */
	startMoveByHandlerAction:function(){
		var it = this; 
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"startMove",
			param:"",
			type:"POST",
			success:function(res){
				errorResult = res.errorResult;
				if(errorResult==true){
					$("#startMove").show();
					$("#startMove").text("继续升级");
					$("#inMove").hide();
				}
			}
		});
	},
	/**
	 * 刷新进度条
	 */
	refreshProgressBarAction:function(){
		var it = this;
		var thirdProgressData = it.getDataMoveBaseInfo();
		
		var url = shr.getContextPath() + "/dynamic.do?method=refreshProgressBar&uipk="+jsBinder.uipk;
		shr.remoteCall({		
			url : url,
			type : "POST",
			param:{thirdProgressData : thirdProgressData},
			success : function(res){
				var resultMap = res.resultMap;
				var thirdProgressData = it.getDataMoveBaseInfo();
				for(var i = 0;i<thirdProgressData.length;i++){
					var id = thirdProgressData[i].id;
					var bizType = thirdProgressData[i].bizType;
					if(bizType==""){
						continue;
					}
					for (var key in resultMap) {
						if(key==bizType){
							var percent = resultMap[key];
							var progressBar = "ProgressBar"+id;
							var applyImageId = "applyImageId"+id;
							var deleteImageId = "deleteImageId"+id;
							var errorReport = "errorReport_"+id;
							
							$('#'+progressBar).css('width',percent+'%');
							$('#'+progressBar).text(percent+'%');
							if(percent==100){
								$("#"+applyImageId).show();
								$("#"+deleteImageId).hide();
								$("#"+errorReport).hide();
							}else{
								//$("#"+deleteImageId).show();
								//$("#"+errorReport).show();
							}
						}
					}
				}

			}
		});
		
		shr.callHandler({//查询后台表，是否有错误产生，有则产生错误日志
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfHasError",
			param:"",
			type:"POST",
			success:function(res){
				var errorResult = res.errorResult;
				for(var i = 0;i<errorResult.length;i++){
					var resultBizType = errorResult[i];
					var thirdProgressData = it.getDataMoveBaseInfo();
					for(var j = 0;j<thirdProgressData.length;j++){
						var id = thirdProgressData[j].id;
						var errorReportId = "errorReport"+id;
						var bizType = thirdProgressData[j].bizType;
						
						if(bizType==resultBizType){
							var deleteImageId = "deleteImageId"+id;
							var errorReport = "errorReport_"+id;
							$("#"+deleteImageId).show();
							$("#"+errorReport).show();
							$("#startMove").show();
							$("#inMove").hide();
						}
					}
					//clearTimeout();//停止计时器
				};
				shr.callHandler({
					handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
					action:"checkIfHasFinished",
					param:"",
					type:"POST",
					success:function(res){
						refreshCount = refreshCount + 1;
						var result = res.errorResult;
						if(result=="迁移中"){
							$("#startMove").hide();
							$("#inMove").show();
							$("#inMove").attr("disabled","disabled");
							$("#inMove").css("background-color","#ccc");
							$("#DataBaseConfigEdit").attr("disabled","disabled");
							$("#DataBaseConfigEdit").css("background-color","#ccc");
							$("#DataBaseConfigEdit").css("color","#428bca");
							$("#intelligenceCheck").attr("disabled","disabled");
							$("#intelligenceCheck").css("background-color","#ccc");
							$("#intelligenceCheck").css("color","#428bca");
						}else if(result=="迁移完成"){
							if(refreshCount==2){
								return;
							}else{
								$("#saveDataBase").attr("disabled",false);
								$("#saveDataBase").attr("style",false); 
								$("#intelligenceCheck").attr("disabled",false);
								$("#intelligenceCheck").attr("style",false); 
								$("#inMove").attr("disabled",false);
								$("#inMove").attr("style",false);
								$("#startMove").show();
								$("#startMove").text("开始升级");
								$("#inMove").hide();
							}
						}else if(result=="迁移中断"){
							$("#inMove").hide();
							$("#inMove").attr("disabled","disabled");
							$("#inMove").css("background-color","#ccc");
							$("#startMove").show();
							$("#startMove").text("继续升级");
							$("#DataBaseConfigEdit").attr("disabled",false);
							$("#DataBaseConfigEdit").attr("style",false); 
							$("#intelligenceCheck").attr("disabled",false);
							$("#intelligenceCheck").attr("style",false);
						}
					}
				});
			}
		});
		
	},
	/**
	 * 计时器
	 */
	setTimeoutAction:function(){
		var it = this; 
		it.refreshProgressBarAction();
		setTimeout(function() {it.setTimeoutAction();}, 10000);//10秒刷一次
	},
	/**
	 * 智能检查 内容初始化
	 */
	dataCheckAndConfirmInitAction:function(){
		var it = this; 
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkEscalateIfAlreadyDispose",//是否操作过
			param:"",
			type:"POST",
			success:function(res){
				hrAdminConfirm = res.hrAdminConfirm;
				isEmptyDbConfirm = res.isEmptyDbConfirm;
				if(isEmptyDbConfirm==true){
					$("#secondEscalateReadOneTdApply").show();
				}
				if(hrAdminConfirm==true){
					$("#secondEscalateReadSecondApply").show();;
				}
			}
		});
	},
	/**
	 * 智能检查
	 */
	intelligenceCheckAction:function(){
		var it = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"checkEscalateIfAlreadyDispose",
						param:"",
						type:"POST",
						success:function(res){
							if(res.isStartMove){
								shr.showError({message : "数据升级已经开始，请勿再做智能检查！"});
								return;
							}
							shr.callHandler({
								handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
								action:"intelligenceEscalateCheck",
								param:"",
								type:"POST",
								success:function(res){
									shr.showInfo({message : "正在进行智能检查校验，请稍候...",hideAfter:600});
									if(res.errorInfo != ""){
										shr.showError({message : res.errorInfo});
										return;
									}
									if(res.isEmptyDBInfo == true){
										$("#secondEscalateReadOneTdApply").show();
									}
									if(res.isMutilHRConfirmInfo == true){
										shr.showConfirm('升级后仅支持单HR组织，继续执行将仅保留根节点为HR组织，是否继续？', function(){
											it.intelligenceCheckDo();	
										});
									}else{
										it.intelligenceCheckDo();
									}
								}
							});	
						}
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	/**
	 * 智能检查（实际处理的内容）
	 */
	intelligenceCheckDo:function(){
		shr.showInfo({message : "正在进行智能检查处理，请稍候...",hideAfter:600});
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"intelligenceEscalateToDo",
			param:"",
			type:"POST",
			success:function(res){
				if(res.resultInfo == true){
					window.location.reload();
				}else{
					shr.showError({message : "智能检查出错，检查失败！"+res.errorInfo});
				}
			}
		});	
	}
	/**
	 * 迁移中，请耐心等待
	 */
	,inMoveAction:function(){
		var it = this;
		shr.showError({message : "迁移中，请耐心等待！"});
	}
	
	
	,importExcel : function() {
		var self = this;
		
		var importTitle = '<div style="float:left;width:55%"><table style="margin-left:7%;width:86%"><tbody><tr><td style="width:40%;">二次开发数据表上传</td>'
		+'<td ><button type="button" id="downLoadImprotTemplet" class="shrbtn-primary shrbtn">下载模板</bottem></td>'
		+'<td ><button id="importExcelBotton" type="button" class="shrbtn-primary shrbtn">上传文件</button></td>'
		+'<td ><button id="viewTableInfo" type="button" name="viewTableInfo" class="null shrbtn">查看</button></td>'
		+'</tr></tbody></table></div>'
		
		+'<div style="float:left;">'
        	+'<button id="beginMoveData" type="button" name="beginMoveData" class="shrbtn-primary shrbtn">开始升级</button>'
//        	+'<p style="line-height:18px"><font color="#FF0000">说明：</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">1、请上传后缀为.xlsx的excel文件;</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">2、重复上传请上传完整的表数据;</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">3、点击查看按钮可以查看已上传的二次开发表数据。</font></p>'
        +'</div>'
		
		+'<div style="float:left;margin-left:33.5%;width:55%;color:red;padding-left:250px;">'
    	+'<p style="line-height:18px"><font>说明：</font></p>'
    	+'<p style="line-height:18px"><font>1、请上传后缀为.xlsx的excel文件;</font></p>'
    	+'<p style="line-height:18px"><font>2、重复上传请上传完整的表数据;</font></p>'
    	+'<p style="line-height:18px"><font>3、点击查看按钮可以查看已上传的二次开发表数据。</font></p>'
		+'</div>';
		//$('#importExcel').attr({"data-toggle":"modal" ,"data-target":"#importExcelModel"});

		$('#testDiv').append(importTitle);
		
		
		$("#downLoadImprotTemplet").on('click', function () {
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.handler.SHRImportEntityOrTableAnalyzeHandler",
				action:"downloadTemplate",
				type:"POST",
				success:function(res){ 
					var fileUrl = res.url ;	 
					closeLoader();    
					document.location.href = fileUrl; 
				}, 
				error : function(res){
					shr.showError({message: "模板下载失败！ "});
					closeLoader(); 
				} 
			});				
	   });
		
		$("#importExcelBotton").on('click',function (){
			self.initImportExcel();
			$("#importExcelModal").modal("show");
		});
		
		$("#viewTableInfo").on('click',function (){
			_self.reloadPage({
				uipk: 'com.kingdee.eas.hr.mvdt.app.SHRMvTableList2.list',
				flag : encodeURIComponent("true")
			});
		});
		
		$("#beginMoveData").on('click',function (){
			//点击开始迁移：1、确保数据源已配置
			if (!(self._alreadyConfig)){
				shr.showError({message : "未配置源数据库连接",hideAfter:5});
				return ;
			}
			//点击开始迁移：2、确保第三步已经迁移完成
			var progressBars = $('#thirdTbody div[id*=ProgressBar]:odd');
			var flag = true;
			for (var i=0;i<progressBars.length;i++){
				var pbs = $(progressBars[i]);
				if (pbs.html()!='100%'){
					flag = false;
					break;
				}
			}
			if (!flag){
				shr.showError({message : "第三步未升级完成，不能进行二次开发升级。",hideAfter:5});
				return;
			}
			
			openLoader();
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"beginMovingDataForCustomizedTables",
				type:"POST",
				success:function(res){
					closeLoader();
					var isEmpty = res.isEmpty;
					if(!isEmpty){
						var isFailed = res.isFailed;
						if (!isFailed){
							shr.showInfo({message : "迁移二次开发表成功！"});
						}else {
							shr.showError({message : "迁移二次开发表失败！"});
						}
					
					}else{
						shr.showError({message : "待迁移二次开发表列表为空！"});
					}
				}
			});	
		});
		
		
		
			
	},
	
	// 检查Dep
	checkDep : function(){
		var self = this;
		if(self._alreadyConfig){
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDep",
				type:"POST",
				success:function(res){
					if(res!=null&&res.errorResult != null){
						//shr.showError({message : res.errorResult});
						$("#depCheckInfo").append("<p style='width: 60%;'>"+res.errorResult+"</p>");
					}
				}
			});	
		}
	},
	initImportExcel : function  (){
		var self = this;
		$('#importExcelModal').remove();			
		var html = '<div class="modal fade" id="importExcelModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="myModalLabel">二次开发数据表上传</h4>'
				  +'</div>'
				  +'<div class="section-content"><div id="file_upload-button" class="uploadify-button ins-btn" style="height: 30px; line-height: 30px; width: 120px;margin-left: 200px;margin-top: 10px;"><span class="uploadify-button-text">导入文件</span></div><p><input id="file_upload" name="file_upload" type="file" style="opacity: 0;position: absolute;cursor: pointer;margin-top: -32px;margin-left: 200px;height: 30px;line-height: 30px;width: 120px;"/></p><div id="uploadexcelfile"></div></div>'
				  +'<div class="modal-footer">'	
				  + ' <button type="button" class="null shrbtn" id="cancelImport">取消</button>'
				  + ' <button type="button" class="shrbtn-primary shrbtn" style="display:none" id="beginImport">开始同步数据</button>'
				  + ' <button type="button" class="shrbtn-primary shrbtn" style="display:none" id="downloadError">下载错误信息</button>'
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		$('#testDiv').append(html);
		
		
		var param = {
					handler :'com.kingdee.eas.hr.mvdt.handler.SHRImportEntityOrTableAnalyzeHandler',
					method: 'importData'
					}
					
		
		var uploaderUrl= shr.getContextPath() + shr.dynamicURL + '?' + $.param(param);
		var iframe = false;
		if(self.getBowserInfo().browser == "IE" && parseInt(self.getBowserInfo().version) < 10  ){
			iframe = true;
        }
		// 初始化上传按钮
		$("#file_upload").fileupload({
            url : uploaderUrl,
            formData : {},
            dataType : "json",
            iframe: iframe,
			acceptFileTypes:"*.xlsx",//限制文件类型
			maxNumberOfFiles : 1,//限制文件个数
			maxFileSize: 50000000,//限制文件大小50m
            start : function(e){
            	$('.uploadify-button-text').html("导入中...");				
				openLoader();
            },
			progressall: function (e, data) {
				
			},
            add : function ( e,data ){
				var fileType = self._getFileTypeByName(data.originalFiles[0].name);
                if(fileType!='.xlsx'){
                    shr.showError({ message: '文件格式不对，修改一下吧。 ( 可以上传的格式 ：xlsx )'});
                    return;
                }
                else{
                    data.submit();
                }
            },   
            done : function( e,data ){
            	closeLoader();
				$("#file_upload").animate({right:'15px'},"slow");
				if (data.result.importStatus){
					$("#downloadError").fadeOut();
					$("#importExcelModal").modal("hide");
					shr.showInfo({message : "二次开发表导入成功！",hideAfter:5});
//					$("#beginImport").fadeIn("slow");
				}else {
//					$("#beginImport").fadeOut();
					$("#downloadError").fadeIn("slow");
					$("#downloadError").on('click', function () {
						document.location.href = data.url; 
					});
				}
            },
        });
		$("#importFileBotton").css({"position":"absolute","margin-top":"10px","right":"230px"});
		$("#cancelImport").on('click', function () {
		   $("#importExcelModal").modal("hide");
		});
	}
	
	,downloadTableRowCountAction:function(){
		openLoader();
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.util.MoveDataTestHelper",
				action:"downloadTablesRowCount",
				type:"POST",
				success:function(res){ 
					var fileUrl = res.url ;	 
					closeLoader();    
					document.location.href = fileUrl; 
				}, 
				error : function(res){
					shr.showError({message: "模板下载失败！ "});
					closeLoader(); 
				} 
			});
	}
	
	,executePatchSqlAction:function(){
		openLoader();
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.patch.patchExcuter",
				action:"executeSql",
				type:"POST",
				timeout:3600000,
				success:function(res){ 
					 shr.showInfo({message:"执行补丁脚本成功。",hideAfter:360000});
					 closeLoader();
				}, 
				error : function(res){
					shr.showError({message: "执行补丁脚本失败！ ",hideAfter:360000});
					closeLoader(); 
				} 
			});
	}
	
	,getCurrentMovingTables:function(){
		$("td[id^='thirdT']").mouseover(function(){
			var that = $(this);
		    var index = that.parent().prevUntil().length;
		    shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"getCurrentMovingTables",
				param :{"index":index,"type":0},
				type:"POST",
				success:function(res){
					var tips = 	res.resTip;
					that.attr({"data-toggle":"tooltip","data-placement":"left","title":tips});
				}
			});	
		});
		
		$("td[id^='thirdT']").mouseout(function(){
		    $(this).removeAttr("data-toggle").removeAttr("data-placement").removeAttr("title");
		});

	}
	
	,patchViewer:function(){
		var that = this;
		//2016-06-01 这一版本先隐藏已打 补丁按钮
		//$($("#fifth").children()[0]).append('<a id="viewPatch" style="cursor:pointer">(已打补丁一览)</a>');
		var html = '<div class="modal fade" id="patchListModal" style ="width:500px;height:500px" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="myModalLabel">补丁列表</h4>'
				  +'</div>'
				 + '<div id = "viewPatchBody" class="modal-body" style ="height:500px">'	 
				 + '</div>'
				  +'<div class="modal-footer">'	
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		//$("#fifth").append(html);
		
		$("#viewPatch").on('click', function () {
			$("#fifth").append(html);
			$("#viewPatchBody").empty();
			var currentPatchListHtml = that.getPatchList();
			if (currentPatchListHtml!=null){
				$("#viewPatchBody").append(currentPatchListHtml);
			}
			$("#patchListModal").modal("show");
	   });
	}
	
	,getPatchList:function(){
		var patchList = null;
		var resHtml = null;
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.patch.PatchSetUpHandler",
				action:"getPatchList",
				type:"POST",
				async:false,
				success:function(res){
					patchList = res.patchList;
				}
			});	
		
		if (patchList!= null && patchList.length>0){
			resHtml =   '<table class="table table-hover">'
						+'   <caption>EAS已打补丁一览</caption>'
						+'   <thead>'
						+'      <tr>'
						+'         <th>补丁号</th>'
						+'         <th>所属领域</th>'
						+'         <th>发放时间</th>'
						+'         <th>补丁说明</th>'
						+'      </tr>'
						+'   </thead>'
						+'   <tbody>';
			for (var patchItem in patchList){
				resHtml		+=('      <tr>'
							+'         <td>'+ patchList[patchItem].patchNum +'</td>'
							+'         <td>'+ patchList[patchItem].domain +'</td>'
							+'         <td>'+ patchList[patchItem].sendTime +'</td>'
							+'         <td>'+ patchList[patchItem].description +'</td>'
							+'      </tr>');
			}
		
			resHtml+=('   </tbody>'
				   +'</table>');
		}
		return resHtml;
	},
	executePatchSql:function(){
		$("#executePatchSql").attr("class","shrbtn-primary shrbtn");//第五步立即执行
		$('<div style="float:left;width:55%"><table style="margin-left:7%;width:86%"><tbody><tr><td>执行s-HR V8.2升级脚本</td></tr><tbody></table></div>').insertBefore("#executePatchSql");
	},
	activeAccount : function() {
		var self = this;
		var activeAccountTitle = '<div style="float:left;width:55%"><table style="margin-left:7%;width:86%">'
			+'<tbody>'
				+'<tr>'
					+'<td style="width:40%;">上传文件并激活账号</td>'
					+'<td style="width:80px;"></td>'
					+'<td><img src="/shr/addon/shrmvdt/web/image/apply.gif" style="display: none;" id = "activeAccountApply" width="20px" height="20px" /></td>'
				+'</tr>'
			+'</tbody>'
		+'</table></div>'
		+'<div style="float:left;">'
			+'<td ><button id="activeAccountDo" type="button" class="shrbtn-primary shrbtn">上传并激活</button></td>'
        +'</div>'
		+'<div style="float:left;margin-left:33.5%;width:55%;color:black;padding-left:250px;">'
    	+'<p style="line-height:18px"><font>说明：</font></p>'
    	+'<p style="line-height:18px"><font>升级后需要在此手动激活账号，请从s-HR V2.0安装路径</font></p>'
    	+'<p style="line-height:18px"><font>（s-HR/eas/server/profiles/server1/config）下复制文</font></p>'
    	+'<p style="line-height:18px"><font>件（regActived.dat）到本地后上传并点击【上传并激活】进行上传激活。</font></p>'
		+'</div>';

		$('#activeAccountDiv').append(activeAccountTitle);
		
		
		$("#activeAccountDo").on('click',function (){
			self.initActiveAccount();
			$("#activeAccountModal").modal("show");
		});
	},
	initActiveAccount : function  (){
		var self = this;
		$('#activeAccountModal').remove();			
		var html = '<div class="modal fade" id="activeAccountModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="upLoadAndActive">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="upLoadAndActive">上传文件并激活账号</h4>'
				  +'</div>'
					+'<div class="section-content"><div id="file_upload-button" class="uploadify-button ins-btn" style="height: 30px; line-height: 30px; width: 120px;margin-left: 200px;margin-top: 10px;"><span class="uploadify-button-text">导入文件</span></div><p><input id="file_upload" name="file_upload" type="file" style="opacity: 0;position: absolute;cursor: pointer;margin-top: -32px;margin-left: 200px;height: 30px;line-height: 30px;width: 120px;"/></p><div id="uploadexcelfile"></div></div>'
				  +'<div class="modal-footer">'	
				  + ' <button type="button" class="null shrbtn" id="cancelActive">取消</button>'
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		$('#activeAccountDiv').append(html);
		
		
		var param = {
					handler :'com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler',
					method: 'upLoadAndActive'
					}
					
		
		var uploaderUrl= shr.getContextPath() + shr.dynamicURL + '?' + $.param(param);
		var iframe = false;
		if(self.getBowserInfo().browser == "IE" && parseInt(self.getBowserInfo().version) < 10  ){
			iframe = true;
        }
		// 初始化上传按钮
		$("#file_upload").fileupload({
            url : uploaderUrl,
            formData : {},
            dataType : "json",
            iframe: iframe,
			acceptFileTypes:"*.dat",//限制文件类型
			maxNumberOfFiles : 1,//限制文件个数
			maxFileSize: 50000000,//限制文件大小50m
            start : function(e){
            	$('.uploadify-button-text').html("用户激活中...");				
				openLoader();
            },
			progressall: function (e, data) {
				
			},
            add : function ( e,data ){
				var fileType = self._getFileTypeByName(data.originalFiles[0].name);
                if(fileType!='.dat'){
                    shr.showError({ message: '文件格式不对，修改一下吧。 ( 可以上传的格式 ：dat )'});
                    return;
                }
                if( data.originalFiles.length && data.originalFiles[0]['size'] && data.originalFiles[0]['size'] > 50*1024*1024 ){
                    shr.showError({ message: "文件大小超出限制，请上传小于50M的文件" });
                }
                else{
                    data.submit();
                }
            },   
            done : function( e,data ){
            	closeLoader();
				$("#file_upload").animate({right:'15px'},"slow");
				if (data.result.importStatus){//说明执行没有问题
					$("#activeAccountModal").modal("hide");
					shr.showInfo({message : "用户激活成功，需重启服务器后生效！",hideAfter:5});
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"setIsActiveAccount",
						type:"POST",
						async : false,
						success:function(res){
							if(res.result==true){
								$("#activeAccountApply").show();
							}else{
								shr.showError({message : "设置是否已经激活标识失败！"});
							}
						}
					});
				}else {
					$('.uploadify-button-text').html("重新上传并激活");
					shr.showError({message : "用户激活失败，失败信息（"+data.errorPath+"）"});
				}
            },
        });
		
		$("#activeAccountBotton").css({"position":"absolute","margin-top":"10px","right":"230px"});
		$("#cancelActive").on('click', function () {
		   $("#activeAccountModal").modal("hide");
		});
	},
	
	downloadUpgradeGuideFileAction: function() {
		var param = {
					    handler :'com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler',
						method: 'downloadUpgradeGuideFile',		
						serverFileName : 'Kingdee s-HR V8.2SP2 Upgrade Guide.pdf',
						destFileName : '金蝶s-HRV2.0PTM2老客户到金蝶s-HRV8.2SP2升级指南.pdf'
					}
		location.href  = shr.getContextPath() + shr.dynamicURL + '?' + $.param(param);
	},
	getBowserInfo : function(){
        var Sys = {};
        var ua = navigator.userAgent.toLowerCase();
        var s;
        (s = ua.match(/rv:([\d.]+)\) like gecko/)) ? Sys.ie = s[1] :
        (s = ua.match(/msie ([\d.]+)/)) ? Sys.ie = s[1] :
        (s = ua.match(/firefox\/([\d.]+)/)) ? Sys.firefox = s[1] :
        (s = ua.match(/chrome\/([\d.]+)/)) ? Sys.chrome = s[1] :
        (s = ua.match(/opera.([\d.]+)/)) ? Sys.opera = s[1] :
        (s = ua.match(/version\/([\d.]+).*safari/)) ? Sys.safari = s[1] : 0;
        
        if (Sys.ie) return { browser : "IE" , version :Sys.ie}; 
        if (Sys.firefox) return { browser : "Firefox" , version :Sys.firefox};
        if (Sys.chrome) return { browser : "Chrome" , version :Sys.chrome };
        if (Sys.opera) return { browser : "Opera" , version :Sys.opera };
        if (Sys.safari) return { browser : "Safari" ,version : Sys.safari };
    },
	_getFileTypeByName : function(filename){
        var _self = this;
        var filename = filename.split(".");
        var fileType = "."+filename[ filename.length - 1 ];
        return fileType;    
    }
	
	
})