//VSS路径 $/051.HR产品部（2014）/01.s-HR业务规划/05.业务专项/30.2016年度产品规划/07 sHR&EAS老客户升级V3方案/s-HR_3.0sHR&EASHR老客户升级EASv8.2概要任务清单.xlsx
var refreshCount = 0;
shr.defineClass("shr.shrmvdt.DataMoveProjectList", shr.framework.Edit, {
	self : this,
	_alreadyConfig: false, //标识是否已经配置源数据库
	_DataBaseConfig:null,  //当前源数据库配置
	initalizeDOM : function() {
		shr.shrmvdt.DataMoveProjectList.superClass.initalizeDOM.call(this);
		var self = this;
		$(".active").text("s-HR数据合并迁移");
		$(".field-desc").css("width","13.3%");//保存按钮位置
		
		self.initButton();//初始化按钮样式
		self.initMoveDataView();//初始化数据迁移菜单
		self.readDescriptionAction();//初始化 阅读说明 按钮功能
		self.initCompareTable();//初始化 对比表 导出 按钮功能
		self.initalDataConfig(); // 初始化数据源配置区域内容
		self.dataCheckAndConfirmInitAction();//数据检查及确认 按钮初始化
		self.readErrorReportAction();//错误日志
		//self.initSecondAffirm();//初始化 数据检查及确认 确认按钮功能s
		self.refreshProgressBarAction();//刷新一次进度条，初始化进度条状态
		//self.initEmptyButton();
		self.importExcel();
		self.checkDep(); // 检查Dep
		self.executePatchSql();
		self.getCurrentMovingTables();
		self.patchViewer();
		self.activeAccount();//上传文件并激活账号
		
	},
	/**
	 * 源数据库连接配置
	 */
	saveDataBaseAction:function(){
		var it = this;
		// 检查配置是否合法
		if(!it.checkConfig()){
			return;
		}; 
		if($("#DataName").children().text()==""){
			it.saveDataBaseDoAction();
		}else{
			shr.showConfirm('更改了数据库连接配置，将重新执行数据检查，检查后需要重新确认，是否继续？', function(){
				it.saveDataBaseDoAction();
			});
		}
	},
	/**
	 * 源数据库连接配置(实际处理逻辑)
	 */
	saveDataBaseDoAction:function(){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"saveDataBase",
			param:{
				"DBtype" : $("#DBtype").val().trim(),
				"Port" : $("#Port").val().trim(),
				"IP" : $("#IP").val().trim(),
				"UserName" : $("#UserName").val().trim(),
				"PassWord" : $("#PassWord").val().trim(),
				"Instance" : $("#Instance").val().trim(),
				"alreadyConfig" : self._alreadyConfig, 
				"id" :self._DataBaseConfig==null?'':self._DataBaseConfig.id
			},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"checkIfShrDB",
						type:"POST",
						success:function(res){
							var ifShrDB = res.ifShrDB;
							if(ifShrDB==true){
								shr.callHandler({
									handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
									action:"resetProjectState",
									param:"",
									type:"POST",
									success:function(res){
										$("#secondAdminApply").hide();
										$("#secondJobApply").hide();
										$("#secondPositionApply").hide();
										$("#secondPersonApply").hide();
										$("#secondUserApply").hide();
									}
								});	
								shr.showInfo({message : "数据库连接正常，已保存！"});
								window.location.reload();
							}else{
								shr.showError({message : "连接的数据库不是s-HR帐套或没有数据，请检查。"});
							}
						}
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	DataBaseConfigEditAction:function(){
		var self = this;
		
		// 创建源数据库配置界面
		this.creatView();
		$('#dialog_dbconfig').dialog({
			title : '源数据库连接配置',
			width : 700,
			height : 300,
			resizable : false,
			buttons : {
				'保存' : function () {
					// 保存数据库配置
					self.saveDataBaseAction();
				},
				'取消' : function () {
					$(this).dialog('close');
				},
				'测试连接' : function () {
					// 检查配置是否合法
					if(self.checkConfig()){
						self.testConnection(true); 	// 测试数据库配置
					}; 
				}
			}
		});
	},
	DataBaseConnectTestAction: function(){
		var self = this;
		// 判断是否配置了源数据库
		if(!(self._alreadyConfig)){
			shr.showError({message: "检查到您未进行源数据库的配置,因此不能进行连接测试！",hideAfter: 3});
			return;
		}
		// 测试数据库配置
		self.testConnection(false);
	},
	
	checkConfig :function(){
		var self = this;
		if($("#DBtype").val().trim() == ""){
			self.showResultInDialog("数据库类型不能为空");
			return false;
		}else if($("#IP").val().trim() == ""){
			self.showResultInDialog("IP不能为空");
			return false;
		}else if($("#Port").val().trim() == ""){
			self.showResultInDialog("端口不能为空");
			return false;
		}
		return true;
	},
	// 在源数据库配置弹框中显示反馈结果信息
	showResultInDialog: function(result){
		var buttonpane = $('#dialog_dbconfig').parent().find(".ui-dialog-buttonpane");
		if(buttonpane.find(".showResult").length == 0){
			buttonpane.append('<div class="showResult" style="margin-top: 12px;color: red;">'+result+'</div>');
		}else{
			buttonpane.find(".showResult").remove();
			buttonpane.append('<div class="showResult" style="margin-top: 12px;color: red;">'+result+'</div>');
		}
	},
	
	testConnection : function(showIndialog){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"testConnection",
			param:{ // 如果已经配置，则直接取页面缓存中_DataBaseConfig的内容，反之从页面控件中读取
				"DBtype" : !showIndialog?self._DataBaseConfig.type.value:$("#DBtype").val().trim(),
				"Port" : !showIndialog?self._DataBaseConfig.port:$("#Port").val().trim(),
				"IP" : !showIndialog?self._DataBaseConfig.ip:$("#IP").val().trim(),
				"UserName" : !showIndialog?self._DataBaseConfig.username:$("#UserName").val().trim(),
				"PassWord" : !showIndialog?self._DataBaseConfig.password:$("#PassWord").val().trim(),
				"Instance" : !showIndialog?self._DataBaseConfig.instance:$("#Instance").val().trim()
			},
			type:"POST",
			success:function(res){
				if(showIndialog){
					self.showResultInDialog(res);
				}else{
					shr.showInfo({message: res,hideAfter: 3});
				}
			},
			error:function(res){
				if(showIndialog){			
					self.showResultInDialog(res);
				}else{
					shr.showError({message: res,hideAfter: 3});
				}
			}
		});
	},
	
	getDataBaseConfig:function(){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"getDataBaseConfig",
			type:"POST",
			async : false,
			success:function(res){
				if(res.config != null){
					self._alreadyConfig = true;
					self._DataBaseConfig = res.config;
				}else{
					self._alreadyConfig = false;
					self._DataBaseConfig = null;
				}
			}
		});
	},
	
	// 初始化源数据库配置区域内容
	initalDataConfig:function(){
		var self = this;
		self.getDataBaseConfig(); // 获取源数据库配置
		$("#DataName").empty();
		if(self._alreadyConfig){ // 已配置
			$("#DataName").append('<div class="showResult" style="padding-left: 40px;color: #0088cc;">' + self._DataBaseConfig.instance + '</div>');
		}else{
			$("#DataName").append('<div class="showResult" style="padding-left: 40px;color: #0088cc;">' + '未配置' + '</div>');
		}
	},
	
	// 创建源数据库配置界面
	creatView:function(){
		var self = this;
		$(".param_dbconfig").empty();
		$('#dialog_dbconfig').parent().find(".ui-dialog-buttonpane").find(".showResult").remove();

		var xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + 'IP地址' + '">' + 'IP地址' + '</div></div><div class="span3 field-ctrl"><input id="' + 'IP' + '" name="' + 'IP' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '数据库类型' + '">' + '数据库类型' + '</div></div><div class="span3 field-ctrl"><input id="' + 'DBtype' + '" name="' + 'DBtype' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		
		xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '数据库名' + '">' + '数据库名' + '</div></div><div class="span3 field-ctrl"><input id="' + 'Instance' + '" name="' + 'Instance' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '端口' + '">' + '端口' + '</div></div><div class="span3 field-ctrl"><input id="' + 'Port' + '" name="' + 'Port' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		xml = '<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '密码' + '">' + '密码' + '</div></div><div class="span3 field-ctrl"><input type="PassWord" id="' + 'PassWord' + '" name="' + 'data[i].name' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>';
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + '用户名' + '">' + '用户名' + '</div></div><div class="span3 field-ctrl"><input id="' + 'UserName' + '" name="' + 'UserName' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div>'+xml+'</div>');
		
		/*
		$(".param_dbconfig").append('<div class="row-fluid row-block"><div data-ctrlrole="labelContainer" ><div class="span2"><div class="field_label" title="' + 'data[i].ins' + '">' + '版本' + '</div></div><div class="span3 field-ctrl" ><input id="' + 'data[i].name' + '" name="' + 'data[i].name' + '" class="block-father input-height" type="text" validate="{required:' + 'true' + '}" /></div><div class="span1 field-desc"></div></div></div>');
		*/
		// 数据库类型 控件设置为下拉框
		var select_json = {
			id : "DBtype"
		};
		var business =[];
		business [0] = {
				value : 'Oracle',
				alias : 'Oracle'
		}
		business [1] = {
				value : 'SQLServer',
				alias : 'SQLServer'
		}
		
		select_json.data = business;
		select_json.validate = "{required:true}";
		$("input[id^='DBtype']").shrSelect(select_json);
		
		// 判断是否已经配置了源数据库
		if(self._alreadyConfig){
			// 已配置  
			$('#DBtype').shrSelect("setValue", self._DataBaseConfig.type.value);
			$("#Port").attr('value',self._DataBaseConfig.port);
			$("#IP").attr('value',self._DataBaseConfig.ip);
			$("#UserName").attr('value',self._DataBaseConfig.username);
			$("#PassWord").attr('value',self._DataBaseConfig.password);
			$("#Instance").attr('value',self._DataBaseConfig.instance);
		}
	},
	/**
	 * 初始化按钮样式
	 */
	initButton:function(){
		var it = this;
		$("#DataBaseConfigEdit").attr("class","shrbtn-primary shrbtn");//配置
		$("#saveDataBase").attr("class","shrbtn-primary shrbtn");//保存
		$("#intelligenceCheck").attr("class","shrbtn-primary shrbtn");//智能检查
		$("#startMove").attr("class","shrbtn-primary shrbtn");//开始迁移
		$("#inMove").hide();
		$("[name='explainText']").hide();
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkEasDBifEmptyOnly",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.resultInfo;
				if(result==true){
					$("#secondAdminRead").hide();
					$("#secondAdminCompare").hide();
					$("#secondAdminAffirm").hide();
		
					$("#secondJobRead").hide();
					$("#secondJobCompare").hide();
					$("#secondJobAffirm").hide();
		
					$("#secondPositionRead").hide();
					$("#secondPositionCompare").hide();
					$("#secondPositionAffirm").hide();
		
					$("#secondPersonRead").hide();
					$("#secondPersonCompare").hide();
					$("#secondPersonAffirm").hide();
		
					$("#secondUserRead").hide();
					$("#secondUserCompare").hide();
					$("#secondUserAffirm").hide();
				}
			}
		});	
		
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"getColumnIfEmptyValue",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.resultInfo;
				if(result==false){
					$("[name='explainText']").show();
				}
			}
		});	
		
		shr.callHandler({//如果进入页面是迁移中，则自动打开刷新进度条的计时器
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfHasFinished",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.errorResult;
				if(result=="迁移中"){
					it.setTimeoutAction();
				}
			}
		});
		
		shr.callHandler({//检查是否有ID重复的问题
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIdRepeat",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.resultInfo;
				if(result==false){
					$("#intelligenceCheckResult").show();
				}else{
					$("#intelligenceCheckResult").hide();
				}
			}
		});
	},
	/**
	 * 空库情况下的样式
	 */
	initEmptyButton:function(){
		var it = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkEasDBifEmpty",
			param:"",
			type:"POST",
			success:function(res){
				var result = res.resultInfo;
				if(result==true){
					//it.dataCheckAndConfirmShowAction();
					$("#secondAdminApply").show();
					$("#secondJobApply").show();
					$("#secondPositionApply").show();
					$("#secondPersonApply").show();
					$("#secondUserApply").show();
					$("[name='explainText']").hide();
				}else{
					it.dataCheckAndConfirmShowAction();
				}
			}
		});	
	},
	/**
	 * 将所有按钮置灰不可用
	 */
	disabledButton:function(){
		$("#DataBaseConfigEdit").attr("disabled","disabled");
		$("#DataBaseConfigEdit").css("background-color","#ccc");
		$("#intelligenceCheck").attr("disabled","disabled");
		$("#intelligenceCheck").css("background-color","#ccc");
		$("#secondAdminAffirm").attr("disabled","disabled");
		$("#secondAdminAffirm").css("background-color","#ccc");
		$("#secondJobAffirm").attr("disabled","disabled");
		$("#secondJobAffirm").css("background-color","#ccc");
		$("#secondPositionAffirm").attr("disabled","disabled");
		$("#secondPositionAffirm").css("background-color","#ccc");
		$("#secondPersonAffirm").attr("disabled","disabled");
		$("#secondPersonAffirm").css("background-color","#ccc");
		$("#secondUserAffirm").attr("disabled","disabled");
		$("#secondUserAffirm").css("background-color","#ccc");
	},
	/**
	 * 阅读说明-执行方法
	 */
	readDescriptionAction : function(){
		var it = this;
		$("#secondAdminRead").click(function(){
			var readText=[
				{"index":"1","text":"1、s-HR组织长名称与EAS相同的组织数据自动合并至EAS，保留EAS组织编码、所属CU，行政组织封存状态若不一致保留启用状态 ；"},
				{"index":"2","text":"2、s-HR组织长名称与EAS不同的组织数据：EAS单CU时自动迁移（组织编码不重复的前提下），多CU时需要在EAS先建立好相匹配的组织数据再迁移；"},
				{"index":"3","text":"3、待迁移数据的详细情况请查看对比表。"}
			];
			var title = "组织阅读说明确认";
			var saveButtonId = "secondAdminReadSave";
			var tableColumnName = "FAdminMarkRead";
			it.readDescriptionWindow(readText,title,saveButtonId,tableColumnName);
		});
		$("#secondJobRead").click(function(){
			var readText=[
				{"index":"1","text":"1、s-HR组织长名称与EAS相同的组织数据自动合并至EAS，保留EAS组织编码、所属CU，行政组织封存状态若不一致保留启用状态 ；"},
				{"index":"2","text":"2、s-HR组织长名称与EAS不同的组织数据：EAS单CU时自动迁移（组织编码不重复的前提下），多CU时需要在EAS先建立好相匹配的组织数据再迁移；"},
				{"index":"3","text":"3、待迁移数据的详细情况请查看对比表。"}
			];
			var title = "职务阅读说明确认";
			var saveButtonId = "secondJobReadSave";
			var tableColumnName = "FJobMarkRead";
			it.readDescriptionWindow(readText,title,saveButtonId,tableColumnName);
		});
		$("#secondPositionRead").click(function(){
			var readText=[
				{"index":"1","text":"1、s-HR岗位对应EAS职位，迁移后s-HR岗位将统一更名为职位。"},
				{"index":"2","text":"2、系统根据岗位名称、所属组织、上级岗位与EAS职位名称、所属组织、上级职位自动匹配"},
				{"index":"3","text":"(1)、完全匹配的自动合并，合并后保留EAS职位编码和启用状态；"},
				{"index":"4","text":"(2)、不完全匹配的直接自动迁移（岗位编码不重复的前提下）；"},
				{"index":"5","text":"3、s-HR其他汇报关系将增加shr后缀复制新增到EAS目标数据库。"},
				{"index":"6","text":"4、待迁移数据的详细情况请查看对比表。"}
			];
			var title = "职位阅读说明确认";
			var saveButtonId = "secondPositionSave";
			var tableColumnName = "FPositionMarkRead";
			it.readDescriptionWindow(readText,title,saveButtonId,tableColumnName);
		});
		$("#secondPersonRead").click(function(){
			var readText=[
				{"index":"1","text":"1、s-HR员工编码+员工姓名与EAS相同的合并至EAS；"},
				{"index":"2","text":"2、s-HR员工编码+员工姓名与EAS不同的自动迁移（员工编码和身份证号不重复的前提下）；"},
				{"index":"3","text":"3、请注意在迁移前尽量完成EAS中的所有单据，否则若s-HR任职与EAS有差异则迁移后可能导致流程无法继续；"},
				{"index":"4","text":"4、s-HR所迁移的组织下，EAS无匹配的在职员工必须为作废状态，否则需先处理完再确认"},
				{"index":"5","text":"5、待迁移数据的详细情况请查看对比表。"}
			];
			var title = "人员阅读说明确认";
			var saveButtonId = "secondPersonReadSave";
			var tableColumnName = "FPersonMarkRead";
			it.readDescriptionWindow(readText,title,saveButtonId,tableColumnName);
		});
		$("#secondUserRead").click(function(){
			var readText=[
				{"index":"1","text":"1、s-HR角色将新增s-HR后缀复制到EAS目标数据库，若ID相同则不处理；"},
				{"index":"2","text":"2、用户实名与EAS相同的用户数据自动合并至EAS，系统将自动合并该用户的行政组织范围和功能权限，请对照对比表中”自动合并”的用户检查确认；同一实名对应多个账号的情况下不迁移；"},
				{"index":"3","text":"3、用户实名与EAS不同的直接迁移（账号不重复的前提下）；"},
				{"index":"4","text":"4、迁移对比表中显示不迁移的用户需要在迁移后手动处理；"},
				{"index":"5","text":"5、待迁移数据的详细情况请查看对比表。"}
			];
			var title = "用户阅读说明确认";
			var saveButtonId = "secondUserReadSave";
			var tableColumnName = "FUserMarkRead";
			it.readDescriptionWindow(readText,title,saveButtonId,tableColumnName);
		});
	},
	/**
	 * 阅读说明窗口
	 */
	readDescriptionWindow : function(readText,title,saveButtonId,tableColumnName){
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"getState",
			param:{columnName : tableColumnName},
			type:"POST",
			success:function(res){
				var resultValue = res.resultInfo;
				
				$("#readDescriptionWindow").remove();
				
				var it = this, 
				html = [],
				$dialog = $("#readDescriptionWindow"), 
				$body = $(document.body);		
					if($dialog.size() == 0) {
						$dialog = $("<div id='readDescriptionWindow' style='overflow-x:hidden;margin-left:10px;margin-right:10px;'></div>").appendTo($body);
					}
						html.push('<div>');
						html.push('<div class="photoState" style="margin-left:0px;">');
						html.push('<table width="100%">');
						for(var i = 0;i<readText.length;i++){
							var text = readText[i].text;
							html.push('<tr><td width="100%" style="color: black;">'+text+'</td></tr>');
						};
						html.push('</table></div>');
						html.push('<div style="vertical-align:middle;margin-bottom:2px;width:100px;position:absolute;top:250px;">');
						if(resultValue==true){
							html.push('<input type="checkbox" id="ifReade" value="0" checked = "true" style="float:left;"/><label style="float:left;">&nbsp;&nbsp;已读</label>');
							html.push('</div>');
							html.push('</div>');
							var buttons = [];
						}else{
							html.push('<input type="checkbox" id="ifReade" value="0" style="float:left;"/><label style="float:left;">&nbsp;&nbsp;已读</label>');
							html.push('</div>');
							html.push('</div>');
							var buttons = [];
							buttons.push({
								text : "确定",
								id : saveButtonId,
								click : function(){
									var data = {
										columnName : tableColumnName
									};
									shr.callHandler({
										handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
										action:"updateState",
										param:data,
										type:"POST",
										success:function(res){
											shr.showInfo({message : "标记成功！"});
											//window.location.reload();
											$("#readDescriptionWindow").dialog("close");
										}
									});	
								}
							});
						}
						
					showDialog("#readDescriptionWindow", title, html.join(""),buttons, 500, 400, "");
			}
		});	
	},
	/**
	 * 错误日志 查看（按钮功能初始化）
	 */
	readErrorReportAction : function(){
		var it = this;
		$("#errorReport_expandTable").click(function(){
			it.readErrorReportWindow("EXPANDTABLE","扩展表错误日志","errorReport_expandTable");
		});
		$("#errorReport_admin").click(function(){
			it.readErrorReportWindow("ADMIN","组织错误日志","errorReport_admin");
		});
		$("#errorReport_job").click(function(){
			it.readErrorReportWindow("JOB","职务错误日志","errorReport_job");
		});
		$("#errorReport_position").click(function(){
			it.readErrorReportWindow("POSITION","职位错误日志","errorReport_position");
		});
		$("#errorReport_person").click(function(){
			it.readErrorReportWindow("PERSON","员工错误日志","errorReport_person");
		});
		$("#errorReport_user").click(function(){
			it.readErrorReportWindow("USER","用户错误日志","errorReport_user");
		});
		$("#errorReport_platform").click(function(){
			it.readErrorReportWindow("BASE","平台数据错误日志","errorReport_platform");
		});
		$("#errorReport_business").click(function(){
			it.readErrorReportWindow("BDATA","业务数据错误日志","errorReport_business");
		});
		$("#errorReport_reportData").click(function(){
			it.readErrorReportWindow("REPORT","报表数据错误日志","errorReport_reportData");
		});
		$("#errorReport_flowData").click(function(){
			it.readErrorReportWindow("WF","工作流错误日志","errorReport_flowData");
		});
		$("#errorReport_warnProject").click(function(){
			it.readErrorReportWindow("WARN","预警方案错误日志","errorReport_warnProject");
		});
		$("#errorReport_codingRule").click(function(){
			it.readErrorReportWindow("CR","编码规则错误日志","errorReport_codingRule");
		});
		$("#errorReport_importTemp").click(function(){
			it.readErrorReportWindow("TEMPLATE","导入模板错误日志","errorReport_importTemp");
		});
		$("#errorReport_printTemp").click(function(){
			it.readErrorReportWindow("TP","套打模板错误日志","errorReport_printTemp");
		});
		$("#errorReport_param").click(function(){
			it.readErrorReportWindow("PARAM","参数错误日志","errorReport_param");
		});
		$("#errorReport_accessory").click(function(){
			it.readErrorReportWindow("ATTACHMENT","附件错误日志","errorReport_accessory");
		});
		//$("#errorReport_secondaryDevelopment").click(function(){
		//	it.readErrorReportWindow("","二次开发错误日志","errorReport_secondaryDevelopment");
		//});
	},
	/**
	 * 获取 数据迁移 基本信息
	 */
	 getDataMoveBaseInfo:function(){
		var thirdProgressData=[
			{"index":"1","name":"扩展表","id":"expandTable","bizType":"EXPANDTABLE"},
			{"index":"2","name":"组织","id":"admin","bizType":"ADMIN"},
			{"index":"3","name":"职务","id":"job","bizType":"JOB"},
			{"index":"4","name":"职位","id":"position","bizType":"POSITION"},
			{"index":"5","name":"员工","id":"person","bizType":"PERSON"},
			{"index":"6","name":"用户","id":"user","bizType":"USER"},
			{"index":"7","name":"平台数据（开发平台、系统设置等基础配置）","id":"platform","bizType":"BASE"},
			{"index":"8","name":"业务数据（人事、薪酬、假勤、绩效、招聘、培训等）","id":"business","bizType":"BDATA"},
			{"index":"9","name":"报表数据","id":"reportData","bizType":"REPORT"},
			{"index":"10","name":"工作流","id":"flowData","bizType":"WF"},
			{"index":"11","name":"预警方案","id":"warnProject","bizType":"WARN"},
			{"index":"12","name":"编码规则","id":"codingRule","bizType":"CR"},
			{"index":"13","name":"导入模板","id":"importTemp","bizType":"TEMPLATE"},
			{"index":"14","name":"套打模板","id":"printTemp","bizType":"TP"},
			{"index":"15","name":"参数","id":"param","bizType":"PARAM"},
			{"index":"16","name":"附件","id":"accessory","bizType":"ATTACHMENT"}//,
			//{"index":"17","name":"二次开发数据","id":"secondaryDevelopment","bizType":""}
		];
		return thirdProgressData;
	 },
	/**
	 * 错误日志 查看（窗口）
	 */
	readErrorReportWindow : function(bizType,title,errorReportId){
		var it = this, 
		html = [],
		$dialog = $("#readErrorReportWindow"), 
		$body = $(document.body);		
			if($dialog.size() == 0) {
				$dialog = $("<div id='readErrorReportWindow' style='overflow-x:hidden;margin-left:10px;margin-right:10px;'></div>").appendTo($body);
			}
				var buttons = [];
				html.push('<div class="photoState" style="margin-left:0px;">');
				html.push('<table width="100%">');
				var data = {
					bizType : bizType
				};
				shr.callHandler({
							handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
							action:"getErrorReportInfo",
							param:data,
							type:"POST",
							success:function(res){
								var errorResult = res.errorResult;
								for(var i = 0;i<errorResult.length;i++){
									var text = errorResult[i];
									html.push('<tr><td width="100%" style="color: #999999;">'+text+'</td></tr>');
								};
								html.push('</table></div>');
								showDialog("#readErrorReportWindow", title, html.join(""),buttons, 500, 400, "关闭");
							}
				});
	},
	/**
	 * 初始化第三步：数据迁移 菜单
	 */
	initMoveDataView:function(){
		var thirdProgressData = this.getDataMoveBaseInfo();
		
		for(var i = 0;i<thirdProgressData.length;i++){
			var index = thirdProgressData[i].index;
			var name = thirdProgressData[i].name;
			var id = thirdProgressData[i].id;
			var thirdTableId = "thirdTable"+id;
			var thirdTrId = "thirdTr"+id;
			var thirdTdId = "thirdTd"+id;
			var progressBarSide = "ProgressBarSide"+id;
			var progressBar = "ProgressBar"+id;
			var applyImageId = "applyImageId"+id;
			var deleteImageId = "deleteImageId"+id;
			var errorReportId = "errorReport_"+id;
			var widthId = "widthId"+id;
			
			$("#thirdTbody").append("<tr id = '"+thirdTrId+"'></tr>");
			$("#"+thirdTrId).append("<td style='width:320px;height:25px;'>"+index+"）"+name+"</td>");
			$("#"+thirdTrId).append("<td style='width:10px;height:25px;'> </td>");
			$("#"+thirdTrId).append("<td id = '"+thirdTdId+"' style='width:110px;'> </td>");
			$("#"+thirdTdId).append("<div id='"+progressBarSide+"' style='color:Silver;border-width:1px;border-style:Solid;width:110px;'></div>");
			$("#"+progressBarSide).append("<div id='"+progressBar+"' style='background-color:#428bca; height:15px; width:0%; text-align:center;color:white;'>0%</div>");
			$("#"+thirdTrId).append("<img src='/shr/addon/shrmvdt/web/image/apply.gif' style='display: none;'  id = '"+applyImageId+"' width='20px' height='20px' />");
			$("#"+thirdTrId).append("<img src='/shr/addon/shrmvdt/web/image/delete.gif' style='display: none;'  id = '"+deleteImageId+"' width='20px' height='20px' />");
			$("#"+thirdTrId).append("<td id = '"+widthId+"' style='width:20px;display: inline'></td>");
			$("#"+thirdTrId).append("<a id = '"+errorReportId+"' style='display: none;'>错误报告</a>");		
			

		}
		
		
	},
	/**
	 * 初始化 对比表 导出
	 */
	initCompareTable:function(){
		$("#secondAdminCompare").click(function(){//组织-对比表
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDBConnect",
				param:{},
				type:"POST",
				success:function(res){
					var ifCanConnection = res.ifCanConnection;
					if(ifCanConnection==true){
						var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.hr.mvdt.util.ExcelExportDataHelpUtil&method=exportAdminChangeInfo";
						location.href = url;
					}else{
						shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
					}
				}
			});
		});
		$("#secondPositionCompare").click(function(){//职位-对比表
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDBConnect",
				param:{},
				type:"POST",
				success:function(res){
					var ifCanConnection = res.ifCanConnection;
					if(ifCanConnection==true){
						var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.hr.mvdt.util.ExcelExportDataHelpUtil&method=exportPositionChangeInfo";
						location.href = url;
					}else{
						shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
					}
				}
			});
		});
		$("#secondJobCompare").click(function(){//职务-对比表
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDBConnect",
				param:{},
				type:"POST",
				success:function(res){
					var ifCanConnection = res.ifCanConnection;
					if(ifCanConnection==true){
						var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.hr.mvdt.util.ExcelExportDataHelpUtil&method=exportJobChangeInfo";
						location.href = url;
					}else{
						shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
					}
				}
			});
		});
		$("#secondPersonCompare").click(function(){//人员-对比表
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDBConnect",
				param:{},
				type:"POST",
				success:function(res){
					var ifCanConnection = res.ifCanConnection;
					if(ifCanConnection==true){
						var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.hr.mvdt.util.ExcelExportDataHelpUtil&method=exportPersocChangeInfo";
						location.href = url;
					}else{
						shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
					}
				}
			});
		});
		$("#secondUserCompare").click(function(){//用户-对比表
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDBConnect",
				param:{},
				type:"POST",
				success:function(res){
					var ifCanConnection = res.ifCanConnection;
					if(ifCanConnection==true){
						var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.hr.mvdt.util.ExcelExportDataHelpUtil&method=exportUserChangeInfo";
						location.href = url;
					}else{
						shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
					}
				}
			});
		});
	},
	/**
	 * 初始化 数据检查及确认 确认按钮功能
	 */
	secondAdminAffirmAction:function(){
		var self = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					self.affirmButtonAction("FAdminConfirm","secondAdminApply","FAdminMarkRead","com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler","adminAffirmCheck","secondAdminAffirm");
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	secondJobAffirmAction:function(){
		var self = this;
		if($("#secondAdminApply").attr("style")!=""){
			shr.showError({message : "请确认上一项，通过后再进行此项确认。"});
			return;
		}
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					self.affirmButtonAction("FJobConfirm","secondJobApply","FJobMarkRead","com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler","jobAffirmCheck","secondJobAffirm");
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	secondPositionAffirmAction:function(){
		var self = this;
		if($("#secondJobApply").attr("style")!=""){
			shr.showError({message : "请确认上一项，通过后再进行此项确认。"});
			return;
		}
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					self.affirmButtonAction("FPositionConfirm","secondPositionApply","FPositionMarkRead","com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler","positionAffirmCheck","secondPositionAffirm");
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	secondPersonAffirmAction:function(){
		var self = this;
		if($("#secondPositionApply").attr("style")!=""){
			shr.showError({message : "请确认上一项，通过后再进行此项确认。"});
			return;
		}
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					self.affirmButtonAction("FPersonConfirm","secondPersonApply","FPersonMarkRead","com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler","personAffirmCheck","secondPersonAffirm");
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	secondUserAffirmAction:function(){
		var self = this;
		if($("#secondPersonApply").attr("style")!=""){
			shr.showError({message : "请确认上一项，通过后再进行此项确认。"});
			return;
		}
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					self.affirmButtonAction("FUserConfirm","secondUserApply","FUserMarkRead","com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler","userAffirmCheck","secondUserAffirm");//handler 和 方法
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	/**
	 * 确认
	 */
	affirmButtonAction:function(confirmColumn,imageId,readReadyColumn,handlerName,checkFunName,buttonId){
		
			shr.showInfo({message : "确认中，请稍后。。。"});
		
			var data = {
				columnName : readReadyColumn
			};
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"getState",
				param:data,
				type:"POST",
				success:function(res){
					var resultInfo = res.resultInfo;
					if(resultInfo==true){
						shr.callHandler({
							handler:handlerName,
							action:checkFunName,
							param:{},
							type:"POST",
							success:function(res){
								if(res.errorResult==""){
									var data2 = {
											columnName : confirmColumn
										};
										shr.callHandler({
											handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
											action:"updateState",
											param:data2,
											type:"POST",
											success:function(res){
												shr.showInfo({message : "确认成功！"});
												$("#"+imageId).show();
												$("#"+buttonId).attr("disabled","disabled")
												$("#"+buttonId).css("background-color","#ccc")
											}
										});	
								}else{
									shr.showError({message : res.errorResult});
								}
							}
						});
					}else{
						shr.showError({message : "请先阅读说明！"});
					}
				}
			});	
	},
	/**
	 * 开始迁移
	 */
	startMoveAction:function(){
		var it = this;
		var ifConfirm = true;
		var errorInfo = "";
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"otherStartCheck",
						param:{},
						type:"POST",
						success:function(res){
							var errorResult = res.errorResult;
							if(errorResult==""){
								if($("#secondAdminApply").attr("style").toString().substring(9,13)=="none"){
									ifConfirm = false;
									errorInfo = errorInfo + "组织，";
								}
								if($("#secondJobApply").attr("style").toString().substring(9,13)=="none"){
									ifConfirm = false;
									errorInfo = errorInfo + "职务，";
								}
								if($("#secondPositionApply").attr("style").toString().substring(9,13)=="none"){
									ifConfirm = false;
									errorInfo = errorInfo + "职位，";
								}
								if($("#secondPersonApply").attr("style").toString().substring(9,13)=="none"){
									ifConfirm = false;
									errorInfo = errorInfo + "员工，";
								}
								if($("#secondUserApply").attr("style").toString().substring(9,13)=="none"){
									ifConfirm = false;
									errorInfo = errorInfo + "用户，";
								}		
								if(!ifConfirm){
									shr.showInfo({message : errorInfo + "未确认,请先完成第二步的检查确认！"});
									return;
								}else{
									$("#startMove").hide();
									$("#inMove").show();
									//数据迁移开始
									//it.refreshProgressBarAction();
									it.setTimeoutAction();//刷新进度条（计时器）
									it.startMoveByHandlerAction();//真正的后台迁移
								}
							}else{
								shr.showInfo({message : errorResult});
								return;
							}
						}	
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	/**
	 * 先校验是否有ID重复的数据，刷s-HR数据库的ID（ID重复）
	 */
	intelligenceCheckResultAction:function(){
		var it = this; 
		html = [],
		$dialog = $("#reverseCheckoutDialog"), 
		$body = $(document.body);		
			if($dialog.size() == 0) {
				$dialog = $("<div id='reverseCheckoutDialog' style='overflow-x:hidden;margin-left:10px;margin-right:10px;'></div>").appendTo($body);
			}
				html.push('<div class="photoState" style="margin-left:1px;">');
				html.push('<table width="100%">');
				html.push('<tr>');
				html.push('<td width="100%" style="color: #999999;">说明：以下为s-HR数据未映射到EAS，但是s-HR的ID已经在EAS存在的数据，点击确认将会把以下数据在s-HR重新生成ID</td>');
				html.push('</tr>');
				html.push('<tr>');
				html.push('<td width="100%" style="color: #999999;">（执行前请备份s-HR的数据库）。</td>');
				html.push('</tr>');
				html.push('</table></div>');
				html.push('</br>');
				//html.push('<button type="button" class = "shrbtn-primary shrbtn" id = "exportCheckInfo">导出检查结果</button>');
				html.push('<hr style="width:660px;height:1px;border:none;border-top:1px solid #999999;"/>');	
				html.push('<div id="orgAdminDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">组织ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="orgAdminCheck" style="width:660px;height:100px;" rows="2" name="orgAdminCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="positionDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">岗位ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="positionCheck" style="width:660px;height:100px;" rows="2" name="positionCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="personDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">人员ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="personCheck" style="width:660px;height:100px;" rows="2" name="personCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="jobDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">职务ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="jobCheck" style="width:660px;height:100px;" rows="2" name="jobCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="userDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">用户ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="userCheck" style="width:660px;height:100px;" rows="2" name="userCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				html.push('<div id="layerDiv">');
				html.push('<div class="noteLabel" align="left">');
				html.push('<span style="color: #999999;">组织层级ID重复，但未映射的数据：</span>');
				html.push('</div>');
				html.push('<div width="100%">');
				html.push('<textarea id="layerCheck" style="width:660px;height:100px;" rows="2" name="layerCheck" type="text" ctrlrole="textarea" validate="{maxlength:400}"></textarea>');
				html.push('</div>');
				html.push('</div>');
				var buttons = [];
				buttons.push({
					text : "刷新s-HR数据ID",
					id : "refreshShrId",
					click : function(){
					shr.showConfirm('将会刷新s-HR重复的ID数据，并且重新进行智能检查，是否继续？', function(){
						shr.showInfo({message : "正在刷新s-HR数据，请稍候...",hideAfter:600});
						shr.callHandler({
							handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
							action:"refreshShrRepeatId",
							param:"",
							type:"POST",
							success:function(res){
								if(res.resultInfo==true){
									shr.showInfo({message : "刷新s-HR ID成功，正在进行智能检查请稍后，请稍候...",hideAfter:600});
									shr.callHandler({
										handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
										action:"intelligenceCheck",
										param:"",
										type:"POST",
										success:function(res){
											if(res.resultInfo == true){
												shr.callHandler({
													handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
													action:"resetProjectState",
													param:"",
													type:"POST",
													success:function(res){
														$("#secondAdminApply").hide();
														$("#secondJobApply").hide();
														$("#secondPositionApply").hide();
														$("#secondPersonApply").hide();
														$("#secondUserApply").hide();
														//it.dataCheckAndConfirmShowAction();
														window.location.reload();
													}
												});	
											}else{
												shr.showError({message : "智能检查出错，检查失败！"});
											}
										}
									});	
								}else{
									shr.showError({message : "刷新s-HR ID失败！请联系系统管理员！"});
								}
							}
						});	
					});
					}
				});
				showDialog("#reverseCheckoutDialog", "智能检查结果", html.join(""),buttons, 708, 625, "关闭");
				shr.callHandler({
					handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
					action:"getIdRepeatInfo",
					param:{},
					type:"POST",
					success:function(res){			
						var i = 0;
						var adminOrgResult = res.adminOrgResult;
						var positionResult = res.positionResult;
						var personResult = res.personResult;
						var jobResult = res.jobResult;
						var userResult = res.userResult;
						var layerResult = res.layerResult;
							if(adminOrgResult==""){
								$("#orgAdminDiv").hide();
							}else{
								i++;
								$("#orgAdminCheck").val("");
								$("#orgAdminCheck").val(adminOrgResult);
							}
							if(positionResult==""){
								$("#positionDiv").hide();
							}else{
								i++;
								$("#positionCheck").val("");
								$("#positionCheck").val(positionResult);
							}
							if(personResult==""){
								$("#personDiv").hide();
							}else{
								i++;
								$("#personCheck").val("");
								$("#personCheck").val(personResult);
							}
							if(jobResult==""){
								$("#jobDiv").hide();
							}else{
								i++;
								$("#jobCheck").val("");
								$("#jobCheck").val(jobResult);
							}
							if(userResult==""){
								$("#userDiv").hide();
							}else{
								i++;
								$("#userCheck").val("");
								$("#userCheck").val(userResult);
							}
							if(layerResult==""){
								$("#layerDiv").hide();
							}else{
								i++;
								$("#layerCheck").val("");
								$("#layerCheck").val(layerResult);
							}
							var length = 330/i;
							$("#orgAdminCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#positionCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#orgAdminCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#jobCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#userCheck").attr("style","width: 650px; height: "+length+"px;")
							$("#layerCheck").attr("style","width: 650px; height: "+length+"px;")
					}
				});	
	},
	/**
	 * 真正的后台迁移
	 */
	startMoveByHandlerAction:function(){
		var it = this; 
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"startMove",
			param:"",
			type:"POST",
			success:function(res){
				errorResult = res.errorResult;
				if(errorResult==true){
					$("#startMove").show();
					$("#startMove").text("继续迁移");
					$("#inMove").hide();
				}
			}
		});
	},
	/**
	 * 刷新进度条
	 */
	refreshProgressBarAction:function(){
		var it = this;
		var thirdProgressData = it.getDataMoveBaseInfo();
		
		var url = shr.getContextPath() + "/dynamic.do?method=refreshProgressBar&uipk="+jsBinder.uipk;
		shr.remoteCall({		
			url : url,
			type : "POST",
			param:{thirdProgressData : thirdProgressData},
			success : function(res){
				var resultMap = res.resultMap;
				var thirdProgressData = it.getDataMoveBaseInfo();
				for(var i = 0;i<thirdProgressData.length;i++){
					var id = thirdProgressData[i].id;
					var bizType = thirdProgressData[i].bizType;
					if(bizType==""){
						continue;
					}
					for (var key in resultMap) {
						if(key==bizType){
							var percent = resultMap[key];
							var progressBar = "ProgressBar"+id;
							var applyImageId = "applyImageId"+id;
							var deleteImageId = "deleteImageId"+id;
							var errorReport = "errorReport_"+id;
							
							$('#'+progressBar).css('width',percent+'%');
							$('#'+progressBar).text(percent+'%');
							if(percent==100){
								$("#"+applyImageId).show();
								$("#"+deleteImageId).hide();
								$("#"+errorReport).hide();
							}else{
								//$("#"+deleteImageId).show();
								//$("#"+errorReport).show();
							}
						}
					}
				}

			}
		});
		
		shr.callHandler({//查询后台表，是否有错误产生，有则产生错误日志
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfHasError",
			param:"",
			type:"POST",
			success:function(res){
				var errorResult = res.errorResult;
				for(var i = 0;i<errorResult.length;i++){
					var resultBizType = errorResult[i];
					var thirdProgressData = it.getDataMoveBaseInfo();
					for(var j = 0;j<thirdProgressData.length;j++){
						var id = thirdProgressData[j].id;
						var errorReportId = "errorReport"+id;
						var bizType = thirdProgressData[j].bizType;
						
						if(bizType==resultBizType){
							var deleteImageId = "deleteImageId"+id;
							var errorReport = "errorReport_"+id;
							$("#"+deleteImageId).show();
							$("#"+errorReport).show();
							$("#startMove").show();
							$("#inMove").hide();
						}
					}
					//clearTimeout();//停止计时器
				};
				shr.callHandler({
					handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
					action:"checkIfHasFinished",
					param:"",
					type:"POST",
					success:function(res){
						refreshCount = refreshCount + 1;
						var result = res.errorResult;
						if(result=="迁移中"){
							$("#startMove").hide();
							$("#inMove").show();
							$("#inMove").attr("disabled","disabled");
							$("#inMove").css("background-color","#ccc");
							$("#DataBaseConfigEdit").attr("disabled","disabled");
							$("#DataBaseConfigEdit").css("background-color","#ccc");
							$("#DataBaseConfigEdit").css("color","#428bca");
							$("#intelligenceCheck").attr("disabled","disabled");
							$("#intelligenceCheck").css("background-color","#ccc");
							$("#intelligenceCheck").css("color","#428bca");
						}else if(result=="迁移完成"){
							if(refreshCount==2){
								return;
							}else{
								$("#saveDataBase").attr("disabled",false);
								$("#saveDataBase").attr("style",false); 
								$("#intelligenceCheck").attr("disabled",false);
								$("#intelligenceCheck").attr("style",false); 
								$("#inMove").attr("disabled",false);
								$("#inMove").attr("style",false);
								$("#startMove").show();
								$("#startMove").text("开始迁移");
								$("#inMove").hide();
							}
						}else if(result=="迁移中断"){
							$("#inMove").hide();
							$("#inMove").attr("disabled","disabled");
							$("#inMove").css("background-color","#ccc");
							$("#startMove").show();
							$("#startMove").text("继续迁移");
							$("#DataBaseConfigEdit").attr("disabled",false);
							$("#DataBaseConfigEdit").attr("style",false); 
							$("#intelligenceCheck").attr("disabled",false);
							$("#intelligenceCheck").attr("style",false);
						}
					}
				});
			}
		});
		
	},
	/**
	 * 计时器
	 */
	setTimeoutAction:function(){
		var it = this; 
		it.refreshProgressBarAction();
		setTimeout(function() {it.setTimeoutAction();}, 10000);//10秒刷一次
	},
	/**
	 * 数据检查及确认 按钮初始化
	 */
	dataCheckAndConfirmInitAction:function(){
		var it = this; 
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfAlreadyDispose",//是否操作过
			param:"",
			type:"POST",
			success:function(res){
				result = res.resultInfo;
				adminState = res.adminState;
				jobState = res.jobState;
				positionState = res.positionState;
				personState = res.personState;
				userState = res.userState;
				if(result==false){
					it.dataCheckAndConfirmHideAction();
				}else{
					if(adminState==true){
						$("#secondAdminApply").show();
						$("#secondAdminAffirm").attr("disabled","disabled");
						$("#secondAdminAffirm").css("background-color","#ccc");
					}
					if(jobState==true){
						$("#secondJobApply").show();
						$("#secondJobAffirm").attr("disabled","disabled");
						$("#secondJobAffirm").css("background-color","#ccc");
					}
					if(positionState==true){
						$("#secondPositionApply").show();
						$("#secondPositionAffirm").attr("disabled","disabled");
						$("#secondPositionAffirm").css("background-color","#ccc");
					}
					if(personState==true){
						$("#secondPersonApply").show();
						$("#secondPersonAffirm").attr("disabled","disabled");
						$("#secondPersonAffirm").css("background-color","#ccc");
					}
					if(userState==true){
						$("#secondUserApply").show();
						$("#secondUserAffirm").attr("disabled","disabled");
						$("#secondUserAffirm").css("background-color","#ccc");
					}
				}
			}
		});
	},
	/**
	 * 当前方案是否已更新状态
	 */
	checkProjectIfUpDateState:function(){
		var it = this; 
		var result = false;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkIfAlreadyDispose",
			param:"",
			type:"POST",
			success:function(res){
				result = res.resultInfo;
			}
		});
		return result;
	},
	/**
	 * 数据检查及确认-按钮-隐藏
	 */
	dataCheckAndConfirmHideAction:function(){
		$("#secondAdminRead").hide();
		$("#secondAdminCompare").hide();
		$("#secondAdminAffirm").hide();
		$("#secondAdminApply").hide();
		
		$("#secondJobRead").hide();
		$("#secondJobCompare").hide();
		$("#secondJobAffirm").hide();
		$("#secondJobApply").hide();
		
		$("#secondPositionRead").hide();
		$("#secondPositionCompare").hide();
		$("#secondPositionAffirm").hide();
		$("#secondPositionApply").hide();
		
		$("#secondPersonRead").hide();
		$("#secondPersonCompare").hide();
		$("#secondPersonAffirm").hide();
		$("#secondPersonApply").hide();
		
		$("#secondUserRead").hide();
		$("#secondUserCompare").hide();
		$("#secondUserAffirm").hide();
		$("#secondUserApply").hide();
	},
	/**
	 * 数据检查及确认-按钮-显示
	 */
	dataCheckAndConfirmShowAction:function(){
		$("#secondAdminRead").show();
		$("#secondAdminCompare").show();
		$("#secondAdminAffirm").show();
		//$("#secondAdminApply").show();
		
		$("#secondJobRead").show();
		$("#secondJobCompare").show();
		$("#secondJobAffirm").show();
		//$("#secondJobApply").show();
		
		$("#secondPositionRead").show();
		$("#secondPositionCompare").show();
		$("#secondPositionAffirm").show();
		//$("#secondPositionApply").show();
		
		$("#secondPersonRead").show();
		$("#secondPersonCompare").show();
		$("#secondPersonAffirm").show();
		//$("#secondPersonApply").show();
		
		$("#secondUserRead").show();
		$("#secondUserCompare").show();
		$("#secondUserAffirm").show();
		//$("#secondUserApply").show();
	},
	/**
	 * 智能检查
	 */
	intelligenceCheckAction:function(){
		var it = this;
		shr.callHandler({
			handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
			action:"checkDBConnect",
			param:{},
			type:"POST",
			success:function(res){
				var ifCanConnection = res.ifCanConnection;
				if(ifCanConnection==true){
					shr.callHandler({
						handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
						action:"checkIfAlreadyDispose",
						param:"",
						type:"POST",
						success:function(res){
							if(res.isStartMove){
								shr.showError({message : "数据迁移已经开始，请勿再做智能检查！"});
								return;
							}
							if(res.resultInfo==true){
								shr.showConfirm('将重新执行数据检查，检查后需要重新确认，是否继续？', function(){
									shr.showInfo({message : "正在进行智能检查，请稍候...",hideAfter:600});
									shr.callHandler({
										handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
										action:"intelligenceCheck",
										param:"",
										type:"POST",
										success:function(res){
											if(res.resultInfo == true){
												shr.callHandler({
													handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
													action:"resetProjectState",
													param:"",
													type:"POST",
													success:function(res){
														$("#secondAdminApply").hide();
														$("#secondJobApply").hide();
														$("#secondPositionApply").hide();
														$("#secondPersonApply").hide();
														$("#secondUserApply").hide();
														//it.dataCheckAndConfirmShowAction();
														window.location.reload();
													}
												});	
											}else{
												shr.showError({message : "智能检查出错，检查失败！"});
											}
										}
									});	
								});
							}else{
								shr.callHandler({
									handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
									action:"setEmptyDatatBase",
									param:"",
									type:"POST",
									success:function(res){
										shr.showInfo({message : "正在进行智能检查，请稍候...",hideAfter:600});
											shr.callHandler({
												handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
												action:"intelligenceCheck",
												param:"",
												type:"POST",
												success:function(res){
												if(res.resultInfo == true){
													it.initEmptyButton();
													window.location.reload();
												}else{
													shr.showError({message : "智能检查出错，检查失败！"});
												}
											}
										});	
									}
								});	
							}
						}
					});
				}else{
					shr.showError({message : "数据库连接异常，请检查数据库连接信息配置。"});
				}
			}
		});
	},
	/**
	 * 迁移中，请耐心等待
	 */
	inMoveAction:function(){
		var it = this;
		shr.showError({message : "迁移中，请耐心等待！"});
	}
	
	
	,importExcel : function() {
		var self = this;
		
		var importTitle = '<div style="float:left;width:55%"><table style="margin-left:7%;width:86%"><tbody><tr><td style="width:40%;">二次开发数据表上传</td>'
		+'<td ><button type="button" id="downLoadImprotTemplet" class="shrbtn-primary shrbtn">下载模板</bottem></td>'
		+'<td ><button id="importExcelBotton" type="button" class="shrbtn-primary shrbtn">上传文件</button></td>'
		+'<td ><button id="viewTableInfo" type="button" name="viewTableInfo" class="null shrbtn">查看</button></td>'
		+'</tr></tbody></table></div>'
		
		+'<div style="float:left;">'
        	+'<button id="beginMoveData" type="button" name="beginMoveData" class="shrbtn-primary shrbtn">开始迁移</button>'
//        	+'<p style="line-height:18px"><font color="#FF0000">说明：</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">1、请上传后缀为.xlsx的excel文件;</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">2、重复上传请上传完整的表数据;</font></p>'
//        	+'<p style="line-height:18px"><font color="#FF0000">3、点击查看按钮可以查看已上传的二次开发表数据。</font></p>'
        +'</div>'
		
		+'<div style="float:left;margin-left:33.5%;width:55%;color:red;padding-left:250px;">'
    	+'<p style="line-height:18px"><font>说明：</font></p>'
    	+'<p style="line-height:18px"><font>1、请上传后缀为.xlsx的excel文件;</font></p>'
    	+'<p style="line-height:18px"><font>2、重复上传请上传完整的表数据;</font></p>'
    	+'<p style="line-height:18px"><font>3、点击查看按钮可以查看已上传的二次开发表数据。</font></p>'
		+'</div>';
		//$('#importExcel').attr({"data-toggle":"modal" ,"data-target":"#importExcelModel"});

		$('#testDiv').append(importTitle);
		
		
		$("#downLoadImprotTemplet").on('click', function () {
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.handler.SHRImportEntityOrTableAnalyzeHandler",
				action:"downloadTemplate",
				type:"POST",
				success:function(res){ 
					var fileUrl = res.url ;	 
					closeLoader();    
					document.location.href = fileUrl; 
				}, 
				error : function(res){
					shr.showError({message: "模板下载失败！ "});
					closeLoader(); 
				} 
			});				
	   });
		
		$("#importExcelBotton").on('click',function (){
			self.initImportExcel();
			$("#importExcelModal").modal("show");
		});
		
		$("#viewTableInfo").on('click',function (){
			_self.reloadPage({
				uipk: 'com.kingdee.eas.hr.mvdt.app.SHRMvTableList.list',
				flag : encodeURIComponent("true")
			});
		});
		
		$("#beginMoveData").on('click',function (){
			//点击开始迁移：1、确保数据源已配置
			if (!(self._alreadyConfig)){
				shr.showError({message : "未配置源数据库连接",hideAfter:5});
				return ;
			}
			//点击开始迁移：2、确保第三步已经迁移完成
			var progressBars = $('#thirdTbody div[id*=ProgressBar]:odd');
			var flag = true;
			for (var i=0;i<progressBars.length;i++){
				var pbs = $(progressBars[i]);
				if (pbs.html()!='100%'){
					flag = false;
					break;
				}
			}
			if (!flag){
				shr.showError({message : "第三步未迁移完成，不能进行二次开发迁移。",hideAfter:5});
				return;
			}
			
			openLoader();
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"beginMovingDataForCustomizedTables",
				type:"POST",
				success:function(res){
					closeLoader();
					var isEmpty = res.isEmpty;
					if(!isEmpty){
						var isFailed = res.isFailed;
						if (!isFailed){
							shr.showInfo({message : "迁移二次开发表成功！"});
						}else {
							shr.showError({message : "迁移二次开发表失败！"});
						}
					
					}else{
						shr.showError({message : "待迁移二次开发表列表为空！"});
					}
				}
			});	
		});
		
		
		
			
	},
	
	// 检查Dep
	checkDep : function(){
		var self = this;
		if(self._alreadyConfig){
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"checkDep",
				type:"POST",
				success:function(res){
					if(res!=null&&res.errorResult != null){
						//shr.showError({message : res.errorResult});
						$("#depCheckInfo").append("<p style='width: 60%;'>"+res.errorResult+"</p>");
					}
				}
			});	
		}
	},
	initImportExcel : function  (){
		var self = this;
		$('#importExcelModal').remove();			
		var html = '<div class="modal fade" id="importExcelModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="myModalLabel">二次开发数据表上传</h4>'
				  +'</div>'
				 + '<div class="modal-body" style ="height:50px">'
				  + '<button type="button" id="importFileBotton" class="shrbtn-primary shrbtn">导入文件</button>'
				 + '</div>'
				  +'<div class="modal-footer">'	
				  + ' <button type="button" class="null shrbtn" id="cancelImport">取消</button>'
				  + ' <button type="button" class="shrbtn-primary shrbtn" style="display:none" id="beginImport">开始同步数据</button>'
				  + ' <button type="button" class="shrbtn-primary shrbtn" style="display:none" id="downloadError">下载错误信息</button>'
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		$('#testDiv').append(html);
		
		
		var param = {
					handler :'com.kingdee.eas.hr.mvdt.handler.SHRImportEntityOrTableAnalyzeHandler',
					method: 'importData'
					}
					
		
		var uploaderUrl= shr.getContextPath() + shr.dynamicURL + '?' + $.param(param);
		// 初始化上传按钮
			$("#importFileBotton").uploadify({
			    swf: "jslib/uploadify/uploadify.swf",		
			    uploader: uploaderUrl ,
			    buttonText: "导入文件",
			    buttonClass: "ins-btn",
			    fileTypeDesc: "Excel2007",
			    fileTypeExts: "*.xlsx",
				successTimeout : 999999,
			    multi: false,
			    removeCompleted: false,
			    onUploadStart: function() {	
					$('.uploadify-button-text').html("导入中...");				
					openLoader();
				},
				onUploadSuccess: function(file, data, response) {
					closeLoader();
					var dataObj = JSON.parse(data);
					var status = dataObj.importStatus;
					$("#importFileBotton").animate({right:'15px'},"slow");
						$('.uploadify-button-text').html("重新导入");
					if (status){
						$("#downloadError").fadeOut();
						$("#importExcelModal").modal("hide");
						shr.showInfo({message : "二次开发表导入成功！",hideAfter:5});
//						$("#beginImport").fadeIn("slow");
					}else {
//						$("#beginImport").fadeOut();
						$("#downloadError").fadeIn("slow");
						$("#downloadError").on('click', function () {
							document.location.href = dataObj.url; 
						});
					}
					
				},
				onError: function(event, queueID, fileObj) {    
					closeLoader();
           		}
				
			});
		
		$("#importFileBotton").css({"position":"absolute","margin-top":"10px","right":"230px"});
	   $("#cancelImport").on('click', function () {
		   $("#importExcelModal").modal("hide");
	   });
	}
	
	,downloadTableRowCountAction:function(){
		openLoader();
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.util.MoveDataTestHelper",
				action:"downloadTablesRowCount",
				type:"POST",
				success:function(res){ 
					var fileUrl = res.url ;	 
					closeLoader();    
					document.location.href = fileUrl; 
				}, 
				error : function(res){
					shr.showError({message: "模板下载失败！ "});
					closeLoader(); 
				} 
			});
	}
	
	,executePatchSqlAction:function(){
		openLoader();
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.patch.patchExcuter",
				action:"executeSql",
				type:"POST",
				timeout:3600000,
				success:function(res){ 
					 shr.showInfo({message:"执行补丁脚本成功。"});
					 closeLoader();
				}, 
				error : function(res){
					shr.showError({message: "执行补丁脚本失败！ "});
					closeLoader(); 
				} 
			});
	}
	
	,getCurrentMovingTables:function(){
		$("td[id^='thirdT']").mouseover(function(){
			var that = $(this);
		    var index = that.parent().prevUntil().length;
		    shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
				action:"getCurrentMovingTables",
				param :{"index":index,"type":1},
				type:"POST",
				success:function(res){
					var tips = 	res.resTip;
					that.attr({"data-toggle":"tooltip","data-placement":"left","title":tips});
				}
			});	
		});
		
		$("td[id^='thirdT']").mouseout(function(){
		    $(this).removeAttr("data-toggle").removeAttr("data-placement").removeAttr("title");
		});

	}
	
	,patchViewer:function(){
		var that = this;
		//2016-06-01 这一版本先隐藏已打 补丁按钮
		//$($("#fifth").children()[0]).append('<a id="viewPatch" style="cursor:pointer">(已打补丁一览)</a>');
		var html = '<div class="modal fade" id="patchListModal" style ="width:500px;height:500px" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="myModalLabel">补丁列表</h4>'
				  +'</div>'
				 + '<div id = "viewPatchBody" class="modal-body" style ="height:500px">'	 
				 + '</div>'
				  +'<div class="modal-footer">'	
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		//$("#fifth").append(html);
		
		$("#viewPatch").on('click', function () {
			$("#fifth").append(html);
			$("#viewPatchBody").empty();
			var currentPatchListHtml = that.getPatchList();
			if (currentPatchListHtml!=null){
				$("#viewPatchBody").append(currentPatchListHtml);
			}
			$("#patchListModal").modal("show");
	   });
	}
	
	,getPatchList:function(){
		var patchList = null;
		var resHtml = null;
		shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.patch.PatchSetUpHandler",
				action:"getPatchList",
				type:"POST",
				async:false,
				success:function(res){
					patchList = res.patchList;
				}
			});	
		
		if (patchList!= null && patchList.length>0){
			resHtml =   '<table class="table table-hover">'
						+'   <caption>EAS已打补丁一览</caption>'
						+'   <thead>'
						+'      <tr>'
						+'         <th>补丁号</th>'
						+'         <th>所属领域</th>'
						+'         <th>发放时间</th>'
						+'         <th>补丁说明</th>'
						+'      </tr>'
						+'   </thead>'
						+'   <tbody>';
			for (var patchItem in patchList){
				resHtml		+=('      <tr>'
							+'         <td>'+ patchList[patchItem].patchNum +'</td>'
							+'         <td>'+ patchList[patchItem].domain +'</td>'
							+'         <td>'+ patchList[patchItem].sendTime +'</td>'
							+'         <td>'+ patchList[patchItem].description +'</td>'
							+'      </tr>');
			}
		
			resHtml+=('   </tbody>'
				   +'</table>');
		}
		return resHtml;
	}
	
	,executePatchSql:function(){
		$("#executePatchSql").attr("class","shrbtn-primary shrbtn");//第五步立即执行
		$('<div style="float:left;width:55%"><table style="margin-left:7%;width:86%"><tbody><tr><td>执行s-HR V8.2迁移脚本</td></tr><tbody></table></div>').insertBefore("#executePatchSql");
	},
	activeAccount : function() {
		var self = this;
		var activeAccountTitle = '<div style="float:left;width:55%"><table style="margin-left:7%;width:86%">'
			+'<tbody>'
				+'<tr>'
					+'<td style="width:40%;">上传文件并激活账号</td>'
					+'<td style="width:80px;"></td>'
					+'<td><img src="/shr/addon/shrmvdt/web/image/apply.gif" style="display: none;" id = "activeAccountApply" width="20px" height="20px" /></td>'
				+'</tr>'
			+'</tbody>'
		+'</table></div>'
		+'<div style="float:left;">'
			+'<td ><button id="activeAccountDo" type="button" class="shrbtn-primary shrbtn">上传并激活</button></td>'
        +'</div>'
		+'<div style="float:left;margin-left:33.5%;width:55%;color:black;padding-left:250px;">'
    	+'<p style="line-height:18px"><font>说明：</font></p>'
    	+'<p style="line-height:18px"><font>升级后需要在此手动激活账号，请从s-HR V2.0安装路径</font></p>'
    	+'<p style="line-height:18px"><font>（s-HR/eas/server/profiles/server1/config）下复制文</font></p>'
    	+'<p style="line-height:18px"><font>件（regActived.dat）到本地后上传并点击【上传并激活】进行上传激活。</font></p>'
		+'</div>';

		$('#activeAccountDiv').append(activeAccountTitle);
		
		
		$("#activeAccountDo").on('click',function (){
			self.initActiveAccount();
			$("#activeAccountModal").modal("show");
		});
	},
	initActiveAccount : function  (){
		var self = this;
		$('#activeAccountModal').remove();			
		var html = '<div class="modal fade" id="activeAccountModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="upLoadAndActive">'
			  +'<div class="modal-dialog" role="document">'
				+'<div class="modal-content">'
				 +'<div class="modal-header">'
				   + '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'
					+'<h4 class="modal-title" id="upLoadAndActive">上传文件并激活账号</h4>'
				  +'</div>'
				 + '<div class="modal-body" style ="height:50px">'
				  + '<button type="button" id="activeAccountBotton" class="shrbtn-primary shrbtn">导入文件</button>'
				 + '</div>'
				  +'<div class="modal-footer">'	
				  + ' <button type="button" class="null shrbtn" id="cancelActive">取消</button>'
				+ ' </div>'
			   + '</div>'
			 + '</div>'
			+'</div>';
			
		$('#activeAccountDiv').append(html);
		
		
		var param = {
					handler :'com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler',
					method: 'upLoadAndActive'
					}
					
		
		var uploaderUrl= shr.getContextPath() + shr.dynamicURL + '?' + $.param(param);
		// 初始化上传按钮
			$("#activeAccountBotton").uploadify({
			    swf: "jslib/uploadify/uploadify.swf",		
			    uploader: uploaderUrl ,
			    buttonText: "导入文件",
			    buttonClass: "ins-btn",
			    fileTypeDesc: "",
			    fileTypeExts: "*.dat",
				successTimeout : 999999,
				fileObjName:'uploadActiveData',
			    multi: false,
			    removeCompleted: false,
			    onUploadStart: function() {	
					$('.uploadify-button-text').html("用户激活中...");				
					openLoader();
				},
				onUploadSuccess: function(file, data, response) {
					closeLoader();
					var dataObj = JSON.parse(data);
					var status = dataObj.importStatus;
					$("#activeAccountBotton").animate({right:'15px'},"slow");
					if (status){//说明执行没有问题
						$("#activeAccountModal").modal("hide");
						shr.showInfo({message : "用户激活成功，需重启服务器后生效！",hideAfter:5});
						shr.callHandler({
							handler:"com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler",
							action:"setIsActiveAccount",
							type:"POST",
							async : false,
							success:function(res){
								if(res.result==true){
									$("#activeAccountApply").show();
								}else{
									shr.showError({message : "设置是否已经激活标识失败！"});
								}
							}
						});
					}else {
						$('.uploadify-button-text').html("重新上传并激活");
						shr.showError({message : "用户激活失败，失败信息（"+dataObj.errorPath+"）"});
					}
				},
				onError: function(event, queueID, fileObj) {    
					closeLoader();
           		}
				
			});
		
		$("#activeAccountBotton").css({"position":"absolute","margin-top":"10px","right":"230px"});
	   $("#cancelActive").on('click', function () {
		   $("#activeAccountModal").modal("hide");
	   });
	}
})