var flag = false;
shr.defineClass("shr.shrmvdt.SHRMvTableList", shr.framework.List, {
	initalizeDOM : function() {
		var self = this;
		self.initPageValue();
		shr.shrmvdt.SHRMvTableList.superClass.initalizeDOM.call(this);
		self.pageFormatter();
		
	}
	
	//对前置界面传来的值对全局变量进行赋值
	,initPageValue : function(){
		flag = decodeURIComponent(shr.getUrlParam('flag'));
	}
	
	,pageFormatter:function(){
		//$("#addNew").css("display","none");
	}
	
	
	/**
	 * 初始化页面时查询表格数据
	 * 重写此方法：从考勤计算进入页面不带高级搜索默认条件
	 */
	,initalizeQueryGrid: function(){
		if(flag=="true"){
			var $search = $('#searcher');
			var filter = $search.shrSearchBar('option', 'filterView');
			if ($.isEmptyObject(filter)) {
				// 如果filter为空
				if (!$.isEmptyObject($search.shrSearchBar('option', 'defaultViewId'))) {
					// 加载默认过滤方案触发表格取数
					$search.shrSearchBar('chooseDefaultView');
				} else {
					this.queryGrid();
				}
			} else {
				// 如果filter为非空，则直接查询表格数据
				this.queryGrid();
			}
		}else{
			$("#searchId").next().remove();
			this.queryGrid();
		}
	}
	
	/**
	 * 将URL中的参数在表格查询时传递至服务端
	 * 重写此方法
	 */
	,setGridCustomParam: function() {
		var params = $.extend(this.initData.custom_params, this.getGridCustomParam());
		if (flag){
			params["flag"] = "1";
	
		}else {
			params["flag"] = "0";
		}
		$(this.gridId).setGridParam({
			custom_params: shr.toJSON(params)
		});	
	}
	
	,moveDataAction : function () {
		var _self = this;
		var billIds = $("#grid").jqGrid("getSelectedRows");
		
		if (billIds.length<1) {
			shr.showError({message : "没有选中任何一张表。",hideAfter:5});
			return ;
		}
		
		var errorTables = [];
		var errorTag = 0;
		var passTables = [];
		var passTag = 0 ;
		for (var id in billIds) {
		    var item =  $("#grid").jqGrid("getRowData", billIds[id]);
		    if (item.dataType != 2 && item.dataType != 3){
		        errorTables[errorTag++] = item.mvTableName;
		    }else {
		        passTables[passTag++] = billIds[id];
		    }
		}
		
		if (errorTag > 0){
		    	shr.showError({message : "选中表："+errorTables.join("、")+"不是业务数据表或者二次开发数据表，不可迁移！请重新选择。",hideAfter:5});
			return ;
		}
		
		var billId;
        if (passTag >0) {
           billId = passTables.join(",");
           openLoader();
			shr.callHandler({
				handler:"com.kingdee.eas.hr.mvdt.handler.SHRMoveOriginalDataHandler",
				action:"moveData",
				type:"POST",
				param:{billId:billId},
				success:function(res){
					closeLoader();
					shr.showInfo({message : "重新迁移表成功。",hideAfter:5});		
				}
			});	
        }
	}
})